/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 50 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 915 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    BYTESTRING = 278,
    PREFIX_DUMMY = 279,
    NMA = 280,
    DEFINE = 281,
    ON = 282,
    OFF = 283,
    YES = 284,
    NO = 285,
    S = 286,
    MS = 287,
    US = 288,
    PORT = 289,
    VPN = 290,
    MPLS = 291,
    FROM = 292,
    FLOW4 = 293,
    FLOW6 = 294,
    DST = 295,
    SRC = 296,
    PROTO = 297,
    NEXT = 298,
    HEADER = 299,
    DPORT = 300,
    SPORT = 301,
    ICMP = 302,
    TYPE = 303,
    CODE = 304,
    TCP = 305,
    FLAGS = 306,
    LENGTH = 307,
    DSCP = 308,
    DONT_FRAGMENT = 309,
    IS_FRAGMENT = 310,
    FIRST_FRAGMENT = 311,
    LAST_FRAGMENT = 312,
    FRAGMENT = 313,
    LABEL = 314,
    OFFSET = 315,
    QUIT = 316,
    EXIT = 317,
    HELP = 318,
    FUNCTION = 319,
    PRINT = 320,
    PRINTN = 321,
    UNSET = 322,
    RETURN = 323,
    ACCEPT = 324,
    REJECT = 325,
    ERROR = 326,
    INT = 327,
    BOOL = 328,
    IP = 329,
    PREFIX = 330,
    RD = 331,
    PAIR = 332,
    QUAD = 333,
    EC = 334,
    LC = 335,
    SET = 336,
    STRING = 337,
    BGPMASK = 338,
    BGPPATH = 339,
    CLIST = 340,
    ECLIST = 341,
    LCLIST = 342,
    IF = 343,
    THEN = 344,
    ELSE = 345,
    CASE = 346,
    FOR = 347,
    IN = 348,
    DO = 349,
    TRUE = 350,
    FALSE = 351,
    RT = 352,
    RO = 353,
    UNKNOWN = 354,
    GENERIC = 355,
    GW = 356,
    NET = 357,
    MASK = 358,
    SOURCE = 359,
    SCOPE = 360,
    DEST = 361,
    IFNAME = 362,
    IFINDEX = 363,
    WEIGHT = 364,
    GW_MPLS = 365,
    PREFERENCE = 366,
    ROA_CHECK = 367,
    ASN = 368,
    IS_V4 = 369,
    IS_V6 = 370,
    LEN = 371,
    MAXLEN = 372,
    DATA = 373,
    DATA1 = 374,
    DATA2 = 375,
    DEFINED = 376,
    ADD = 377,
    DELETE = 378,
    CONTAINS = 379,
    RESET = 380,
    PREPEND = 381,
    FIRST = 382,
    LAST = 383,
    LAST_NONAGGREGATED = 384,
    MATCH = 385,
    MIN = 386,
    MAX = 387,
    EMPTY = 388,
    FILTER = 389,
    WHERE = 390,
    EVAL = 391,
    ATTRIBUTE = 392,
    BT_ASSERT = 393,
    BT_TEST_SUITE = 394,
    BT_CHECK_ASSIGN = 395,
    BT_TEST_SAME = 396,
    FORMAT = 397,
    ROUTER = 398,
    ID = 399,
    HOSTNAME = 400,
    PROTOCOL = 401,
    TEMPLATE = 402,
    DISABLED = 403,
    DEBUG = 404,
    ALL = 405,
    DIRECT = 406,
    INTERFACE = 407,
    IMPORT = 408,
    EXPORT = 409,
    NONE = 410,
    VRF = 411,
    DEFAULT = 412,
    TABLE = 413,
    STATES = 414,
    ROUTES = 415,
    FILTERS = 416,
    IPV4 = 417,
    IPV6 = 418,
    VPN4 = 419,
    VPN6 = 420,
    ROA4 = 421,
    ROA6 = 422,
    SADR = 423,
    RECEIVE = 424,
    LIMIT = 425,
    ACTION = 426,
    WARN = 427,
    BLOCK = 428,
    RESTART = 429,
    DISABLE = 430,
    KEEP = 431,
    FILTERED = 432,
    RPKI = 433,
    PASSWORD = 434,
    KEY = 435,
    PASSIVE = 436,
    TO = 437,
    EVENTS = 438,
    PACKETS = 439,
    PROTOCOLS = 440,
    CHANNELS = 441,
    INTERFACES = 442,
    ALGORITHM = 443,
    KEYED = 444,
    HMAC = 445,
    MD5 = 446,
    SHA1 = 447,
    SHA256 = 448,
    SHA384 = 449,
    SHA512 = 450,
    BLAKE2S128 = 451,
    BLAKE2S256 = 452,
    BLAKE2B256 = 453,
    BLAKE2B512 = 454,
    PRIMARY = 455,
    STATS = 456,
    COUNT = 457,
    BY = 458,
    COMMANDS = 459,
    PREEXPORT = 460,
    NOEXPORT = 461,
    EXPORTED = 462,
    GENERATE = 463,
    BGP = 464,
    PASSWORDS = 465,
    DESCRIPTION = 466,
    RELOAD = 467,
    OUT = 468,
    MRTDUMP = 469,
    MESSAGES = 470,
    RESTRICT = 471,
    MEMORY = 472,
    IGP_METRIC = 473,
    CLASS = 474,
    TIMEFORMAT = 475,
    ISO = 476,
    SHORT = 477,
    LONG = 478,
    ROUTE = 479,
    BASE = 480,
    LOG = 481,
    GRACEFUL = 482,
    WAIT = 483,
    FLUSH = 484,
    AS = 485,
    IDLE = 486,
    RX = 487,
    TX = 488,
    INTERVAL = 489,
    MULTIPLIER = 490,
    CHECK = 491,
    LINK = 492,
    SORTED = 493,
    TRIE = 494,
    SETTLE = 495,
    TIME = 496,
    GC = 497,
    THRESHOLD = 498,
    PERIOD = 499,
    IPV4_MC = 500,
    IPV4_MPLS = 501,
    IPV6_MC = 502,
    IPV6_MPLS = 503,
    IPV6_SADR = 504,
    VPN4_MC = 505,
    VPN4_MPLS = 506,
    VPN6_MC = 507,
    VPN6_MPLS = 508,
    PRI = 509,
    SEC = 510,
    SHOW = 511,
    STATUS = 512,
    SUMMARY = 513,
    SYMBOLS = 514,
    DUMP = 515,
    RESOURCES = 516,
    SOCKETS = 517,
    NEIGHBORS = 518,
    ATTRIBUTES = 519,
    ECHO = 520,
    ENABLE = 521,
    BFD = 522,
    MULTIHOP = 523,
    NEIGHBOR = 524,
    DEV = 525,
    LOCAL = 526,
    AUTHENTICATION = 527,
    SIMPLE = 528,
    METICULOUS = 529,
    STRICT = 530,
    BIND = 531,
    SESSIONS = 532,
    BABEL = 533,
    METRIC = 534,
    RXCOST = 535,
    HELLO = 536,
    UPDATE = 537,
    WIRED = 538,
    WIRELESS = 539,
    BUFFER = 540,
    PRIORITY = 541,
    HOP = 542,
    BABEL_METRIC = 543,
    ENTRIES = 544,
    RANDOMIZE = 545,
    MAC = 546,
    PERMISSIVE = 547,
    HOLD = 548,
    CONNECT = 549,
    RETRY = 550,
    KEEPALIVE = 551,
    STARTUP = 552,
    VIA = 553,
    SELF = 554,
    PATH = 555,
    START = 556,
    DELAY = 557,
    FORGET = 558,
    AFTER = 559,
    BGP_PATH = 560,
    BGP_LOCAL_PREF = 561,
    BGP_MED = 562,
    BGP_ORIGIN = 563,
    BGP_NEXT_HOP = 564,
    BGP_ATOMIC_AGGR = 565,
    BGP_AGGREGATOR = 566,
    BGP_COMMUNITY = 567,
    BGP_EXT_COMMUNITY = 568,
    BGP_LARGE_COMMUNITY = 569,
    ADDRESS = 570,
    RR = 571,
    RS = 572,
    CLIENT = 573,
    CLUSTER = 574,
    AS4 = 575,
    ADVERTISE = 576,
    CAPABILITIES = 577,
    PREFER = 578,
    OLDER = 579,
    MISSING = 580,
    LLADDR = 581,
    DROP = 582,
    IGNORE = 583,
    REFRESH = 584,
    INTERPRET = 585,
    COMMUNITIES = 586,
    BGP_ORIGINATOR_ID = 587,
    BGP_CLUSTER_LIST = 588,
    IGP = 589,
    GATEWAY = 590,
    RECURSIVE = 591,
    MED = 592,
    TTL = 593,
    SECURITY = 594,
    DETERMINISTIC = 595,
    SECONDARY = 596,
    ALLOW = 597,
    PATHS = 598,
    AWARE = 599,
    EXTENDED = 600,
    SETKEY = 601,
    CONFEDERATION = 602,
    MEMBER = 603,
    MULTICAST = 604,
    LIVED = 605,
    STALE = 606,
    IBGP = 607,
    EBGP = 608,
    MANDATORY = 609,
    INTERNAL = 610,
    EXTERNAL = 611,
    SETS = 612,
    DYNAMIC = 613,
    RANGE = 614,
    NAME = 615,
    DIGITS = 616,
    BGP_AIGP = 617,
    AIGP = 618,
    ORIGINATE = 619,
    COST = 620,
    ENFORCE = 621,
    FREE = 622,
    VALIDATE = 623,
    ROLE = 624,
    ROLES = 625,
    PEER = 626,
    PROVIDER = 627,
    CUSTOMER = 628,
    RS_SERVER = 629,
    RS_CLIENT = 630,
    REQUIRE = 631,
    BGP_OTC = 632,
    GLOBAL = 633,
    CEASE = 634,
    HIT = 635,
    ADMINISTRATIVE = 636,
    SHUTDOWN = 637,
    CONFIGURATION = 638,
    CHANGE = 639,
    DECONFIGURED = 640,
    CONNECTION = 641,
    REJECTED = 642,
    COLLISION = 643,
    OF = 644,
    MRT = 645,
    FILENAME = 646,
    ALWAYS = 647,
    OSPF = 648,
    V2 = 649,
    V3 = 650,
    OSPF_METRIC1 = 651,
    OSPF_METRIC2 = 652,
    OSPF_TAG = 653,
    OSPF_ROUTER_ID = 654,
    AREA = 655,
    RFC1583COMPAT = 656,
    STUB = 657,
    TICK = 658,
    COST2 = 659,
    RETRANSMIT = 660,
    TRANSMIT = 661,
    DEAD = 662,
    BROADCAST = 663,
    BCAST = 664,
    NONBROADCAST = 665,
    NBMA = 666,
    POINTOPOINT = 667,
    PTP = 668,
    POINTOMULTIPOINT = 669,
    PTMP = 670,
    CRYPTOGRAPHIC = 671,
    ELIGIBLE = 672,
    POLL = 673,
    NETWORKS = 674,
    HIDDEN = 675,
    VIRTUAL = 676,
    ONLY = 677,
    LARGE = 678,
    NORMAL = 679,
    STUBNET = 680,
    TAG = 681,
    LSADB = 682,
    ECMP = 683,
    NSSA = 684,
    TRANSLATOR = 685,
    STABILITY = 686,
    LSID = 687,
    INSTANCE = 688,
    REAL = 689,
    NETMASK = 690,
    MERGE = 691,
    LSA = 692,
    SUPPRESSION = 693,
    RFC5838 = 694,
    PE = 695,
    TOPOLOGY = 696,
    STATE = 697,
    PERF = 698,
    EXP = 699,
    REPEAT = 700,
    MODE = 701,
    PIPE = 702,
    RADV = 703,
    RA = 704,
    SOLICITED = 705,
    UNICAST = 706,
    MANAGED = 707,
    OTHER = 708,
    CONFIG = 709,
    LINGER = 710,
    MTU = 711,
    REACHABLE = 712,
    RETRANS = 713,
    TIMER = 714,
    CURRENT = 715,
    VALID = 716,
    PREFERRED = 717,
    MULT = 718,
    LIFETIME = 719,
    SKIP = 720,
    ONLINK = 721,
    AUTONOMOUS = 722,
    RDNSS = 723,
    DNSSL = 724,
    NS = 725,
    DOMAIN = 726,
    TRIGGER = 727,
    SENSITIVE = 728,
    LOW = 729,
    MEDIUM = 730,
    HIGH = 731,
    PROPAGATE = 732,
    RA_PREFERENCE = 733,
    RA_LIFETIME = 734,
    RIP = 735,
    NG = 736,
    INFINITY = 737,
    TIMEOUT = 738,
    GARBAGE = 739,
    VERSION = 740,
    SPLIT = 741,
    HORIZON = 742,
    POISON = 743,
    REVERSE = 744,
    ZERO = 745,
    PLAINTEXT = 746,
    DEMAND = 747,
    CIRCUIT = 748,
    RIP_METRIC = 749,
    RIP_TAG = 750,
    REMOTE = 751,
    BIRD = 752,
    PRIVATE = 753,
    PUBLIC = 754,
    SSH = 755,
    TRANSPORT = 756,
    USER = 757,
    EXPIRE = 758,
    STATIC = 759,
    PROHIBIT = 760,
    BLACKHOLE = 761,
    UNREACHABLE = 762,
    KERNEL = 763,
    NETLINK = 764,
    KRT_PREFSRC = 765,
    KRT_REALM = 766,
    KRT_SCOPE = 767,
    KRT_MTU = 768,
    KRT_WINDOW = 769,
    KRT_RTT = 770,
    KRT_RTTVAR = 771,
    KRT_SSTRESH = 772,
    KRT_CWND = 773,
    KRT_ADVMSS = 774,
    KRT_REORDERING = 775,
    KRT_HOPLIMIT = 776,
    KRT_INITCWND = 777,
    KRT_RTO_MIN = 778,
    KRT_INITRWND = 779,
    KRT_QUICKACK = 780,
    KRT_LOCK_MTU = 781,
    KRT_LOCK_WINDOW = 782,
    KRT_LOCK_RTT = 783,
    KRT_LOCK_RTTVAR = 784,
    KRT_LOCK_SSTRESH = 785,
    KRT_LOCK_CWND = 786,
    KRT_LOCK_ADVMSS = 787,
    KRT_LOCK_REORDERING = 788,
    KRT_LOCK_HOPLIMIT = 789,
    KRT_LOCK_RTO_MIN = 790,
    KRT_FEATURE_ECN = 791,
    KRT_FEATURE_ALLFRAG = 792,
    SYSLOG = 793,
    TRACE = 794,
    INFO = 795,
    WARNING = 796,
    AUTH = 797,
    FATAL = 798,
    BUG = 799,
    STDERR = 800,
    SOFT = 801,
    CONFIRM = 802,
    UNDO = 803,
    LATENCY = 804,
    WATCHDOG = 805,
    CONFIGURE = 806,
    DOWN = 807,
    PERSIST = 808,
    SCAN = 809,
    LEARN = 810,
    DEVICE = 811,
    KRT_SOURCE = 812,
    KRT_METRIC = 813
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 54 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;
  struct bytestring *bs;

#line 1559 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1576 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   7382

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  580
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  439
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1483
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2724

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   813

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    35,     2,     2,     2,    34,     2,     2,
     571,   572,    32,    30,   573,    31,    36,    33,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   576,   570,
      26,    25,    27,   579,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   577,     2,   578,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   574,     2,   575,    28,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      29,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   137,   137,   138,   141,   143,   146,   151,   154,   162,
     163,   164,   170,   171,   172,   175,   175,   180,   181,   182,
     183,   184,   185,   192,   193,   194,   201,   202,   209,   215,
     225,   238,   257,   263,   269,   277,   285,   291,   291,   292,
     292,   293,   293,   296,   297,   298,   299,   300,   301,   308,
     309,   317,   318,   326,   327,   335,   336,   344,   345,   346,
     347,   348,   358,   366,   367,   376,   384,   385,   392,   393,
      37,    38,    39,    40,    41,    42,    43,    44,    48,    49,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      65,    66,    67,    70,    71,    75,    79,    83,    84,    88,
      92,   101,   102,   106,   110,   114,   121,   122,   126,   127,
     128,   129,   133,   136,   139,   145,   149,   150,   151,   155,
     159,   165,   166,   167,   170,   172,   175,   177,   181,   188,
     189,   191,   197,   203,   203,     9,     9,    10,    10,    11,
      11,   346,   348,   348,   358,   360,   363,   364,   368,   370,
     381,   383,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   435,   436,
     445,   446,   454,   455,   461,   464,   468,   468,   478,   485,
     491,   493,   497,   493,   521,   522,   525,   525,   527,   527,
     529,   537,   538,   555,   556,   569,   570,   571,   572,   573,
     577,   585,   586,   587,   588,   592,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   609,   610,   611,   612,
     616,   617,   618,   622,   623,   624,   625,   626,   627,   628,
     629,   634,   635,   636,   637,   638,   642,   643,   644,   645,
     646,   650,   651,   655,   656,   660,   661,   662,   663,   671,
     672,   675,   676,   684,   694,   695,   699,   703,   704,   705,
     706,   710,   711,   712,   713,   714,   718,   719,   720,   721,
     722,   723,   724,   725,   726,   731,   732,   736,   737,   738,
     739,   744,   745,   746,   749,   768,   787,   788,   789,   790,
     791,   792,   793,   794,   795,   796,   797,   798,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   820,   821,   822,   824,   826,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   855,   856,
     857,   858,   859,   860,   861,   862,   864,   865,   867,   871,
     875,   876,   877,   880,   881,   882,   891,   892,   896,   902,
     903,   907,   910,   913,   916,   922,   922,   916,   928,   940,
     944,   947,   952,   955,   966,   970,   973,   974,   978,   979,
     980,   981,   982,   983,   984,   988,   993,   994,   995,   159,
     162,   163,   167,   168,   169,   170,   180,   182,   184,   186,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     209,   211,   213,   218,   220,   224,   225,   230,   231,   232,
     233,   236,   238,   241,   243,   249,   252,   253,   257,   263,
     267,   277,   287,   289,   290,   291,   292,   293,   294,   295,
     299,   305,   310,   311,   312,   313,   314,   315,   316,   317,
     322,   323,   326,   328,   331,   333,   337,   344,   347,   350,
     351,   352,   353,   357,   358,   359,   360,   361,   365,   366,
     370,   373,   374,   375,   380,   383,   384,   385,   386,   390,
     391,   392,   393,   394,   395,   396,   397,   401,   408,   416,
     417,   421,   422,   426,   431,   432,   436,   438,   446,   450,
     451,   456,   458,   465,   466,   467,   468,   469,   473,   481,
     487,   488,   489,   493,   494,   498,   499,   500,   501,   502,
     503,   509,   510,   511,   515,   516,   520,   521,   527,   531,
     532,   535,   537,   541,   542,   545,   545,   548,   549,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   582,   590,   591,   592,   593,   594,   595,   596,
     599,   601,   605,   611,   611,   614,   614,   617,   617,   620,
     620,   624,   625,   628,   628,   631,   631,   635,   635,   639,
     645,   651,   657,   664,   670,   677,   682,   687,   692,   697,
     701,   705,   709,   719,   726,   735,   739,   746,   750,   751,
     752,   753,   757,   761,   765,   779,   780,   781,   782,   785,
     786,   787,   788,   793,   794,   795,   796,   797,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   816,   826,   826,   830,   833,   834,   835,
     836,   837,   838,   843,   843,   845,   845,   847,   847,   849,
     849,   851,   851,   853,   853,   855,   855,   857,   857,   859,
     859,   862,   862,   866,   866,   872,   873,   874,   878,   879,
     885,   885,   887,   887,   889,   889,   891,   891,   893,   893,
     895,   895,   899,   899,   903,   904,   908,   908,   911,   911,
     915,   916,   917,   921,   922,   923,   926,    35,    37,    47,
      48,    49,    50,    51,    52,    55,    57,    61,    65,    66,
      67,    68,    72,    76,    80,    94,   114,   115,   116,   117,
     118,   119,   120,   121,   125,   126,   127,   128,   129,   130,
     133,   135,   138,   140,   144,   147,   152,   153,   154,   158,
     159,   163,   164,   167,   186,   186,    32,    34,    42,    43,
      44,    45,    48,    50,    54,    58,    74,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   152,   154,   157,   159,
     164,   166,   170,   170,   173,   173,   176,   176,   179,   179,
      48,    50,    82,    84,    85,    88,    90,    91,    92,    93,
      98,    99,   103,   104,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   120,   121,   122,   123,   124,   128,   129,
     130,   131,   132,   136,   137,   143,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   210,   210,   211,   212,   213,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     231,   257,   258,   259,   261,   261,   261,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   302,   314,   316,   319,   321,   325,   332,   335,   337,
     339,   341,   343,   345,   347,   349,   351,   353,   355,   357,
     359,   361,    26,    28,    34,    35,    36,    37,    38,    39,
      40,    41,    44,    46,    50,    53,    53,    57,    58,    59,
      60,    61,    62,   211,   214,   215,   216,   219,   235,   236,
     240,   241,   245,   254,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   274,
     289,   292,   294,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   307,   308,   308,   309,   310,   311,   315,
     316,   320,   328,   330,   334,   335,   336,   340,   341,   344,
     346,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   362,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   422,   424,   427,   429,   437,   439,   440,   443,
     445,   449,   450,   453,   463,   485,   487,   491,   491,   494,
     496,   499,   501,   505,   508,   509,   510,   511,   514,   514,
     517,   517,   520,   520,   525,   525,   528,   528,   533,   533,
     536,   536,   540,   540,   549,   552,   553,   554,   555,   556,
     557,   558,   559,    24,    26,    40,    41,    42,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    23,    26,
      25,    40,    41,    42,    43,    44,    46,    58,    59,    60,
      61,    62,    62,    63,    63,    64,    65,    68,    70,    74,
      78,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   116,   120,   121,   122,   123,   124,   125,   125,
     126,   126,   127,   128,   132,   133,   134,   137,   175,   177,
     180,   182,   186,   189,   201,   202,   203,   204,   208,   215,
     223,   225,   228,   230,   234,   238,   248,   253,   254,   255,
     259,   271,   273,   277,   278,   282,   295,   300,   301,   302,
     306,   318,   320,   324,   325,   330,   331,   335,   336,   339,
     340,    46,    49,    50,    53,    67,    68,    69,    70,    71,
      72,    75,    77,    81,    85,   110,   140,   141,   142,   143,
     144,   145,   146,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   173,   174,   175,   176,   179,   181,   184,
     186,   190,   193,   194,   198,   198,   201,   201,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    82,    86,    87,    90,    93,    97,   108,   109,
     113,   120,   130,   132,   136,   137,   138,   142,    54,    56,
      63,    64,    65,    66,    67,    75,    79,    84,    89,    92,
      95,    99,   105,   106,   109,   121,   122,   126,   131,   132,
     133,   134,   135,   136,   140,   149,   151,   154,   156,   160,
     160,    23,    26,    27,    28,    31,    32,    33,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    62,    63,    31,    33,    35,    42,    43,    46,    48,
      52,    62,    63,    67,    68,    72,    73,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    89,    92,    93,   104,
     107,   108,   109,   110,   118,   118,   121,   121,   128,   128,
     131,   131,   134,   134,   137,   137,   140,   140,   145,   145,
     150,   151,   155,   156,   157,    41,    43,    48,    49,    52,
      53,    57,    58,    59,    60,    64,    71,    72,    83,    85,
      88,    89,    92,    93,    94,   101,   108,   111,   113,   116,
     118,   122,   125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "BYTESTRING", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF",
  "YES", "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4",
  "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT",
  "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "IN", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "PREFERENCE", "ROA_CHECK",
  "ASN", "IS_V4", "IS_V6", "LEN", "MAXLEN", "DATA", "DATA1", "DATA2",
  "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND", "FIRST",
  "LAST", "LAST_NONAGGREGATED", "MATCH", "MIN", "MAX", "EMPTY", "FILTER",
  "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE",
  "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER", "ID", "HOSTNAME",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "BY", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC",
  "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "FLUSH", "AS", "IDLE", "RX", "TX", "INTERVAL",
  "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC",
  "THRESHOLD", "PERIOD", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD",
  "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE",
  "METICULOUS", "STRICT", "BIND", "SESSIONS", "BABEL", "METRIC", "RXCOST",
  "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP",
  "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "HOLD",
  "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF", "PATH",
  "START", "DELAY", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF",
  "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR",
  "BGP_AGGREGATOR", "BGP_COMMUNITY", "BGP_EXT_COMMUNITY",
  "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS",
  "AWARE", "EXTENDED", "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST",
  "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL",
  "SETS", "DYNAMIC", "RANGE", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "COST", "ENFORCE", "FREE", "VALIDATE", "ROLE", "ROLES",
  "PEER", "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE",
  "BGP_OTC", "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN",
  "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED",
  "COLLISION", "OF", "MRT", "FILENAME", "ALWAYS", "OSPF", "V2", "V3",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT",
  "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT",
  "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "LSID",
  "INSTANCE", "REAL", "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838",
  "PE", "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE", "PIPE",
  "RADV", "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG",
  "LINGER", "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID",
  "PREFERRED", "MULT", "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS",
  "DNSSL", "NS", "DOMAIN", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH",
  "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY",
  "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE",
  "ZERO", "PLAINTEXT", "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG",
  "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER",
  "EXPIRE", "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "NETLINK", "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU",
  "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND",
  "KRT_ADVMSS", "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND",
  "KRT_RTO_MIN", "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH",
  "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING",
  "KRT_LOCK_HOPLIMIT", "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO", "WARNING", "AUTH",
  "FATAL", "BUG", "STDERR", "SOFT", "CONFIRM", "UNDO", "LATENCY",
  "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE",
  "KRT_SOURCE", "KRT_METRIC", "';'", "'('", "')'", "','", "'{'", "'}'",
  "':'", "'['", "']'", "'?'", "$accept", "config", "conf_entries", "conf",
  "definition", "expr", "expr_us", "symbol", "bool", "ipa", "ipa_scope",
  "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_", "net_vpn4_",
  "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_", "net_ip_",
  "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "cli_cmd", "cmd_QUIT",
  "cmd_EXIT", "cmd_HELP", "filter_def", "$@1", "filter_eval",
  "custom_attr", "bt_test_suite", "bt_test_same", "type", "function_argsn",
  "function_args", "function_vars", "filter_body", "filter", "$@2",
  "where_filter", "function_body", "function_def", "$@3", "$@4", "cmds",
  "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int", "fipa",
  "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind", "ec_item",
  "lc_item", "set_item", "switch_item", "set_items", "switch_items",
  "fprefix", "fprefix_set", "switch_body", "bgp_path_expr", "bgp_path",
  "bgp_path_tail", "constant", "constructor", "var_list", "function_call",
  "symbol_value", "static_attr", "term", "break_command", "print_list",
  "var_init", "var", "for_var", "cmd", "$@6", "$@7", "$@8",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@9", "$@10", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@11", "$@12", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@13", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@14", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@15", "$@16", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@17", "$@18", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    61,    60,    62,   126,   280,
      43,    45,    42,    47,    37,    33,    46,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
      59,    40,    41,    44,   123,   125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -2184

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2184)))

#define YYTABLE_NINF -893

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-893)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     199,  3366,   222,   490,   120,   242,   250,  5430,  1041,  1042,
    1042,  1073,  1042,   522,   350,  3155,  1878,    -3,  1042,   282,
     742,   631, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,   909, -2184, -2184, -2184,   909,   909,  5430,  3942,   108,
     149,   571,   870, -2184, -2184,   102, -2184,   584, -2184, -2184,
   -2184, -2184,   723,   979, -2184,   613,    36, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,   642,
   -2184,   576,  3333, -2184, -2184, -2184,  1178,  3148,  1178, -2184,
    1178, -2184,  1178,  6807,  1178, -2184,  1178,  2595,  1178,  2953,
     266,  3396,  1178, -2184,  1178, -2184,  1178, -2184,  1178,  1460,
    2754, -2184, -2184, -2184,  1178,  1178,  1095, -2184, -2184, -2184,
     328, -2184, -2184,   824,   847,  1029,   313, -2184,   754,   135,
    5430,   879, -2184,   336,   388, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,   331,   368,
     412,   432,   454,   465,   487, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,  2940,
     232,   935,   945, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184,  2908, -2184,  1061, -2184, -2184,    62,  1102,
      62, -2184,  1091,  1091,  1042,  1042,  1132,    85, -2184,  1164,
    1063,   172,  1198, -2184,  1209, -2184,   968,   834,   347,   513,
    1254,  1135,  1310,  1321,  1338,  1360,  1367,  1408,  1419,  1422,
   -2184, -2184,   655,  1304,  1091, -2184, -2184,  1309,  1425,  1309,
    1435,  1439,   965, -2184, -2184, -2184,  1453, -2184, -2184,  3859,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,   527,  1470,  1502,   257, -2184,
   -2184,   938,    62,    62,   427,   395, -2184,    85,   961, -2184,
   -2184, -2184, -2184,   119,   982,   365,  1299,   427,   427,   909,
   -2184,   995, -2184, -2184, -2184, -2184, -2184, -2184,   662, -2184,
   -2184, -2184,  1064, -2184, -2184, -2184, -2184, -2184,  1546,  1526,
    1004,  1428,   934,    62, -2184,   863,   870,    85,  1346, -2184,
   -2184,  1028,  1038,  1048,  1060,  1058,  1094,  1107, -2184, -2184,
     -95,  1362,  -127,  1136,  1686,   933,    31,    72,    84,   127,
    1395,   870,   934,  1369,  1549,  1492,   678,   123,    60,   290,
     122,  1477,  1519,     3,  1525,  1476,  1497,  1481,   973,  1471,
    1657,   934,  1485,  1475,  1532,  1534,  1500,  1484,   671,   934,
     322,  1473,  1714,  1584,  1528, -2184,  1331, -2184,  1332,  1340,
    1337,  1339,  1461,  1735,   363,   934,  1768,   427,   934,  1770,
    1559,   934, -2184,  1567, -2184,  1038, -2184,  1358,  1361, -2184,
    1363,   934,  1224,  1917,   361,  1921,  1215, -2184,  1368, -2184,
    1371, -2184,   427,  1623,  1503,  1919,  1769,  1729,  1789, -2184,
    1392,  1393,  1390,  1394,  1397,  1398,  1725,  1717,  1797, -2184,
    1404,  1405,   985,  1410,  1784,   427,  1631,  1818,  1749,   934,
    1737,   934, -2184, -2184, -2184,  1423,  1424,  1429,  1431, -2184,
    1739, -2184, -2184,  1426,    49, -2184,   328,   328,  5430,   337,
     328,   328,  1981, -2184,  1992, -2184,  1993,   824,  1977, -2184,
   -2184,  5430,  1982,   418,  1980,  1978, -2184, -2184, -2184,  1919,
    5430,  5430,  5430,  5430,  5430,  5430, -2184, -2184,  2000, -2184,
    1444,   160, -2184, -2184,  1977, -2184, -2184,  2335, -2184, -2184,
   -2184,    83, -2184,  2011, -2184, -2184, -2184, -2184,   240, -2184,
     650,  2004,  2005, -2184,  5430,  5430,  5430,  5430,  5430,  5430,
    5430,  5430,  5430,  5430,  5430,  5430,  5430,  5430,  3676,  3450,
   -2184, -2184,  1675, -2184, -2184, -2184, -2184,  2019,  2021,  2024,
    2025, -2184, -2184, -2184,   823,  2028, -2184, -2184, -2184,  1154,
    2033, -2184,  2036, -2184,  4182, -2184,  2013,  1254,  1254,  1254,
    1254,  1254, -2184,  1254,  1254, -2184,   488,   697,  2037,  1254,
    1254,  2039,  2040, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
     654, -2184, -2184,  2041,  2043,   204,  2047, -2184,   965, -2184,
   -2184,   427,  2049,  5430,  1483, -2184, -2184,  1487,  1496,  1498,
   -2184, -2184, -2184, -2184,  5430,  1507, -2184, -2184, -2184, -2184,
   -2184,  5430, -2184, -2184, -2184, -2184, -2184,   427, -2184, -2184,
    1517, -2184,   427,  1219, -2184,  1682, -2184,   427,  -100,   427,
    1080, -2184, -2184, -2184, -2184, -2184, -2184, -2184,  1178, -2184,
   -2184,  2050, -2184,   363, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,   934, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
    1804,  1838,  1072,  1839,  1840, -2184,  1524,   427,   427, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,   -20,  1535,  1536,
     -21,   364,   934,  1733,   934,  1869,  1537,  1538,  1522, -2184,
    1541, -2184, -2184, -2184,  1121,  2070,   744,  1019,  2070,    -7,
     934,   427,  1863,  1866,   427,  1867,   934,  1880,   934,  1985,
     934,   934,  1571,   934,   934,   934,   934,   934,   934,  1774,
    1904,   934,  1576,   934,  1578,   162,  1906,   934,   934, -2184,
   -2184, -2184, -2184, -2184, -2184,   934,   399, -2184, -2184,   934,
   -2184,  1983,   427,   934, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184,   427,   427, -2184,  2146,  2148, -2184, -2184, -2184,
   -2184, -2184, -2184,  2145,  5430, -2184, -2184,   407,  1984, -2184,
   -2184,   407, -2184, -2184, -2184,   407,   934,  1919, -2184, -2184,
   -2184, -2184, -2184, -2184,   847,  1029, -2184, -2184, -2184,   934,
    1919, -2184, -2184, -2184,   809, -2184,  1072, -2184, -2184, -2184,
      98,  1857, -2184,  1598,   934, -2184,   934,   427,  1873, -2184,
     427, -2184, -2184, -2184, -2184, -2184, -2184, -2184,   427, -2184,
    2160, -2184, -2184, -2184,   750, -2184, -2184,   328,   743, -2184,
   -2184, -2184, -2184,  2128,  2163,   899,  3859, -2184,  2044,  2149,
   -2184, -2184, -2184,   939,   835,   229,   259,   303,   453,   915,
   -2184,  5430, -2184,  5430,  1608,    30,  1610,  1012, -2184, -2184,
    2169,   437,   562, -2184,  1029, -2184,  1944,  1946,  2508,  2508,
    2508,  3506,  3506,  2508,  2508,  2508,  2508,  2508,   884,   884,
    1978,  1978, -2184, -2184, -2184, -2184, -2184,  1618, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,   771, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,   812, -2184, -2184,  2188, -2184,
   -2184, -2184,  1634,  1725,  2145,  2172, -2184,  2026,  2027,   736,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,  2173,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,  2196,  1091,  1091,
    1091,  1091,  1091,  1091,  1711,  1254,  1091,  1254,  1091, -2184,
    1091,  1091, -2184, -2184,   655, -2184, -2184, -2184, -2184,  2145,
    1421,   870, -2184, -2184,  2198, -2184, -2184,  2381,  1632, -2184,
    2507, -2184, -2184, -2184,   870,  2185, -2184,  1636,  1044, -2184,
    1120, -2184, -2184,  2187,  1482,  1520,   870, -2184,   870, -2184,
   -2184,   655,  1637,  1641, -2184, -2184, -2184,   442, -2184, -2184,
   -2184,  2181, -2184,  1640,  1644,  1015, -2184,  1823,  3202,   427,
     427,  1646,   427,   427, -2184,  1648,  1650,   934,    87, -2184,
   -2184,  2030,  1973,   427,  1656,  1658,  1659,   934,  1660,   934,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,   909, -2184,
     427,   427, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
    1661, -2184,   427,   427, -2184,  1662,  1663,   427,   427,  1664,
     427,  1666,   427,  1667,   363,  1670,  1671, -2184,  1674,  1676,
    1677,  1683,  1688,  1689,   934,   397,  1690, -2184,  1691, -2184,
     427,  1694,   934,  1696,  1699,  3222, -2184,  2667, -2184,   427,
   -2184, -2184, -2184,   427, -2184, -2184, -2184,  1680, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  3859, -2184,  2045, -2184,   934,
   -2184, -2184, -2184,  1701,  2621,  2539,  2513,  1702,  1707, -2184,
    2070,  2209,  2230,   427,   934,   934,    98,  5710, -2184, -2184,
    2076, -2184,   427, -2184,  1640,  1700, -2184,   328, -2184, -2184,
     328,  2245, -2184, -2184,  5430,  2244,  2251, -2184, -2184, -2184,
    5430, -2184,  5430,  5430,  5430,  5430, -2184,   486,   200,  3636,
    5430,  4102,  5430, -2184,  1716,  5430, -2184, -2184, -2184,  2275,
    2277,  5430,  1675, -2184,   823, -2184, -2184,   824,   173,  1564,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,  2274,  2274, -2184, -2184,  1061, -2184, -2184,  2292,  2293,
    2298,  2299,  2304,  2305, -2184, -2184,  2295,   363, -2184, -2184,
   -2184,   363,   363,  1091,  2308,  1091,  2309,  2311,  2312, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,  3942, -2184,  5991,
     527,  1744,  1750,  1640, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,   885, -2184, -2184,  2066,  2067,   934,
     934,  1374, -2184,  1751, -2184,  2297, -2184, -2184,    62, -2184,
   -2184,  1752, -2184, -2184, -2184,  1072,  2042, -2184, -2184,  1754,
   -2184,  2176, -2184, -2184, -2184,  1756,  1758,  1762, -2184,  1763,
    1764, -2184, -2184,  1766,  1391, -2184,  1767,   710,   427,  1773,
   -2184, -2184, -2184,  1775, -2184,  1777,   858,  1779,   792, -2184,
     866, -2184, -2184, -2184,   153, -2184, -2184, -2184, -2184,  1786,
    1788, -2184,  1790, -2184,  1791, -2184,  1792, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  1793, -2184,  1794, -2184, -2184,
    1798, -2184,  1799, -2184, -2184,  2046,  1986,  1430,  1399,  2010,
    2170,  2153,  2035,  2204,   -47,   934,  2321,   934,   727,   427,
     934, -2184, -2184,  1807,  2145,  1464,   427,   870,  2246, -2184,
   -2184, -2184,  1808, -2184, -2184, -2184,  -134,   934, -2184,   781,
   -2184,  2132,  1121, -2184,   815, -2184,  1816, -2184,  1943, -2184,
    1645, -2184, -2184, -2184,  1486, -2184, -2184, -2184,  1486,  2223,
   -2184, -2184, -2184,  1825, -2184,   934,   427, -2184, -2184, -2184,
    1826,   427,  2210,  2256,  2210,  1575,   -19,  2210, -2184, -2184,
   -2184,  1845, -2184, -2184, -2184, -2184,  2230, -2184, -2184,  2383,
   -2184, -2184, -2184,     2,  5430,  5430,  1856,  5430, -2184, -2184,
   -2184,  5430,  5430, -2184,  1859,  1860, -2184, -2184,  1858,  2407,
    5430, -2184,   179, -2184,   427, -2184, -2184, -2184, -2184, -2184,
   -2184,  2400,  3859,  2403, -2184,  1320,  1745,   644,  1161,  1210,
    1279,  1328,  5430, -2184,  5430,  1090,    46,  3859,  1862,  1093,
      42,  1864,  2421,  1012, -2184, -2184,  1388, -2184, -2184,  2420,
     824,  1977,  1061, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  2436, -2184,  2437, -2184, -2184,
   -2184,   527, -2184,   527,  1874, -2184, -2184,  5991, -2184, -2184,
    1889, -2184,  2445, -2184,  2211,  2212, -2184, -2184,   427,   427,
   -2184,  1259,  1417, -2184, -2184, -2184, -2184,  1109, -2184, -2184,
    1887, -2184,    78, -2184,   934, -2184, -2184, -2184,  2307, -2184,
     427, -2184, -2184, -2184, -2184,  2284,  2071,  2074, -2184,   130,
    2083,  1288,   962, -2184, -2184,  1896,  1909,  1911, -2184, -2184,
   -2184,  1450,   934, -2184,  2238,   427,   427, -2184,  1913, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184,   701,   263,   934,   934,   221,  1919,   934,   777,
    1919, -2184, -2184, -2184,  2186, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,  2174, -2184, -2184, -2184,
     427,   427,   934, -2184,  1912,   427, -2184,  1915,   363, -2184,
   -2184,  1925,   427, -2184, -2184,   427,  1926, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,  1933, -2184, -2184, -2184,   196,    13,
   -2184,   934, -2184, -2184, -2184,  2306, -2184, -2184, -2184, -2184,
     427,  2446,   427, -2184, -2184, -2184,  2463, -2184, -2184, -2184,
     427, -2184,  2383,  2495,  5430,   674,  1941,  1942,  4175,  2393,
    4232,   124,  3060, -2184, -2184,  1938,  5991, -2184,  5430,  1945,
    5430,  1748, -2184,  -300,  2499,  2497, -2184, -2184, -2184, -2184,
    2474, -2184, -2184,  1653,  2469, -2184, -2184, -2184, -2184, -2184,
   -2184,   398,  2510,  2510,   943,  1962, -2184,   398,  2510,  2510,
    1486,  1976,  5430, -2184, -2184, -2184, -2184,  1437,  1488, -2184,
    2511,  5430, -2184,  4434, -2184,  2515,  5430,  2548,  4766,  5098,
    1999, -2184, -2184, -2184, -2184,   971,  2531, -2184, -2184, -2184,
    1987,   427,   427, -2184, -2184,   824,  1977, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,  1887, -2184, -2184,   909,
     870,  2279, -2184,  2001,   934,  2007,  2166,  2310, -2184, -2184,
   -2184, -2184, -2184, -2184,  1391, -2184, -2184, -2184, -2184,  2333,
    2334, -2184,  2336, -2184, -2184, -2184,   430,   430,  1072,  2191,
   -2184, -2184, -2184, -2184, -2184,  2398,  2332, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,   934,   934,  1640,  2032, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,  2034, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,  2038,   427, -2184,   934, -2184, -2184, -2184,  2048, -2184,
   -2184,  2465,  5430, -2184, -2184,  2015, -2184,  6269, -2184, -2184,
     527,  2481,  5430,  6373, -2184, -2184,  2494, -2184,  2540,  2052,
    2055,  2057,  2029,  2059,  1072, -2184,  2051, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184,  2600,   427,  1704, -2184,  2062, -2184,    56,   427,  1821,
      59, -2184, -2184, -2184, -2184,  1704,    56,    59,  2538, -2184,
    1577, -2184, -2184,  2060,  2064,  1155,    50,  2065,  1189,  2068,
    2075,    51,  2077,    52, -2184, -2184, -2184,  5430,  2054, -2184,
   -2184, -2184, -2184,  2058, -2184, -2184, -2184,  1072,  2331, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,   427,   427,   427, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,   934,   427, -2184, -2184,
    1943, -2184, -2184,   161,   177,   519,   992,  1056, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
    2061,  2512,    68, -2184, -2184,  3859, -2184, -2184, -2184, -2184,
   -2184, -2184,  5430,  5430,  5430, -2184,  5430, -2184, -2184,   427,
   -2184, -2184,   427,  1466,   427, -2184,  2510,  2510,  2578, -2184,
   -2184, -2184, -2184, -2184,  2510,  2510,  2599, -2184, -2184, -2184,
   -2184,  2583,  5430, -2184, -2184, -2184,  2584,  5430, -2184,  5430,
    2612, -2184,  5430, -2184,  3859, -2184, -2184,  1548, -2184, -2184,
     934,  2069,  2376,   427,   427,  1045, -2184, -2184, -2184, -2184,
     828,  2072,  2078, -2184,   934, -2184,  1687, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,  3635, -2184, -2184, -2184,   105, -2184,
     934,   427,   934, -2184,  2080,   427,   445,   427,   427,  2325,
     428, -2184, -2184,  2091,  2165,  2189,   934,   934,   934, -2184,
    2092,  2756, -2184,  -370,   509,  2793, -2184,   948, -2184,  6269,
   -2184, -2184, -2184,  2335, -2184, -2184,  2656, -2184, -2184, -2184,
   -2184,   587,  5430,  2093,  2096,  1614,  1647,  1693,  1727, -2184,
    2062,   427, -2184,   427,   427,   427,  1821,  1821, -2184,  2094,
    2103,  2104,  2108,  2105,  2112,  2113,  2439,  2447, -2184,  1621,
    2449, -2184, -2184, -2184,  1639, -2184,  2496, -2184, -2184, -2184,
    1213, -2184, -2184, -2184,   427,  2397,  1572,   427,  2401,   760,
    2452,   -67,   427,  2456,  2458, -2184, -2184,  2134,  1705,   427,
    2409,   951,  2462,  2263,  2144,   934,   575,  2300,   427,   427,
    2369,   427,   934,   427,  2413,   511,   -50,   427,  2602,  2301,
   -2184, -2184,  2157, -2184,   427,  2158, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,   427,   427, -2184, -2184,
     427,   427, -2184, -2184, -2184, -2184,    77,   -49,  2269,    26,
      24,  2264,  2270,   934,  2267,  2482,  2266,  2435,  2455,  2457,
   -2184,  2171,   457,  1072, -2184,  2177,   457,  2718, -2184,  2178,
     427,   934,  2450,   966,  -183,   934,   589,   427,  2498,  1072,
    2402,  2501,  2631,   226,  2504,  2505,   673,  2260,  2259,  2261,
   -2184, -2184,  2190,  2253,  2257,   870, -2184,  2197, -2184, -2184,
    1828,   306,   329, -2184,  3859,  2206,  5430,  2207,  2208,  2213,
    2215, -2184,  2741,  2746, -2184, -2184, -2184, -2184, -2184, -2184,
    5430, -2184,  5430, -2184,   427,   427,  2214,  2216,   427, -2184,
   -2184,  1672,  2760,   440,   427,  2760,  1746,   560,  2217, -2184,
    1710, -2184, -2184, -2184,   427,   427,   427,   427,   427, -2184,
     934, -2184,  2484, -2184,   427,   427, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,   530,   427,   427, -2184,
     934,  2341, -2184, -2184, -2184, -2184, -2184,   934, -2184, -2184,
     917, -2184, -2184, -2184,   427,   427, -2184,   934,   934, -2184,
     427,   934, -2184, -2184, -2184, -2184, -2184,  2316,  2316,  2541,
   -2184,   427,  2546,  2557,   906,   427,   906,  2553,   427,   427,
    2344, -2184,   934,   427,   427,  2626,   934,   196,   934,    13,
   -2184,   427, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184,   427,   427,   427, -2184,   934,   934, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,   427, -2184,   956,   427,
     427, -2184, -2184,   427,   427,   934, -2184,   934,   934,   934,
   -2184,  2617,  2618, -2184, -2184, -2184, -2184,  5430, -2184, -2184,
   -2184,  2705, -2184,  2053, -2184, -2184, -2184, -2184,   427,   427,
    2239,  2241, -2184, -2184, -2184,  1621, -2184, -2184, -2184, -2184,
    2248,  2760,  2760,  2252,  2258,  1494,  1545, -2184, -2184, -2184,
   -2184,  2262,  2760,  2760, -2184,  1072,  1072, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184,   934,   182, -2184,  2382, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184,   934, -2184, -2184,   427, -2184,   427,   427,
   -2184, -2184, -2184, -2184,  2316, -2184,   427,  2316, -2184,   934,
   -2184, -2184, -2184,   427, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  2390, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,   870,   870,  1828,  6269,  2265,
   -2184, -2184, -2184,  5430, -2184,  1213,  2278,  2281,  1213,  1213,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
    1213,  2285,  2314, -2184, -2184, -2184, -2184, -2184,  2388, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  2271, -2184,  1213,  1213, -2184,
   -2184, -2184,  1213,  1213, -2184,  2315,  5430, -2184, -2184, -2184,
   -2184, -2184,  2273, -2184
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     3,   135,   137,   139,   573,   575,   577,   579,
     583,   585,   587,   644,   653,   655,   657,   659,   661,   663,
     665,   667,   669,   671,   673,   680,   682,   684,   686,   688,
     690,   692,   696,   698,   754,   792,   794,   796,   798,   975,
    1118,  1120,  1122,  1124,  1126,  1128,  1130,  1132,  1304,  1306,
    1369,  1434,  1436,  1438,  1440,  1442,  1444,  1446,  1448,     1,
       2,     0,   409,   407,   408,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,     0,   400,   401,   403,   404,
     405,   406,     0,     0,  1404,     0,     0,     6,     5,     7,
     141,   144,   146,   148,   150,   180,   389,   396,   398,     0,
     410,   413,     0,   470,   474,   425,   428,   432,   428,   707,
     428,   756,   428,   432,   428,   962,   428,   432,   428,   432,
       0,   432,   428,  1165,   428,  1251,   428,  1308,   428,   432,
     432,  1403,  1426,  1429,   428,   428,   432,   136,   138,   140,
     265,   266,   276,   193,   194,   271,   285,   269,     0,     0,
       0,     0,   286,     0,     0,   289,   267,   268,   287,   288,
     290,   291,   292,   293,   294,   295,   297,   296,     0,     0,
       0,     0,     0,     0,     0,   706,   791,   949,   952,   951,
     948,   950,   953,   954,   955,   958,   960,   956,   957,   959,
     961,  1114,  1115,  1116,  1117,  1249,  1250,  1302,  1303,  1375,
    1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,  1384,  1385,
    1386,  1387,  1388,  1389,  1390,  1391,  1392,  1393,  1394,  1395,
    1396,  1397,  1398,  1399,  1400,  1401,  1402,  1482,  1483,     0,
       0,    37,    38,    47,    39,    40,    41,    42,    48,    43,
      44,    45,   272,   133,   134,    46,   270,   280,   316,   317,
     349,   315,   318,     0,   319,   700,   702,   701,     0,     0,
       0,   700,    69,    69,     0,     0,     0,     0,   699,     0,
     704,     0,     0,   589,     0,   646,     0,     0,   582,     0,
     582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     676,   675,     0,   678,    69,   977,  1451,  1450,     0,  1450,
       0,     0,  1452,  1447,    16,    15,     0,   181,   142,   145,
     152,   153,   154,   156,   155,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,     0,     0,     0,     0,    67,
      66,     0,     0,     0,     0,    22,   402,     0,     0,   476,
     475,   477,   478,     0,     0,     0,     0,     0,     0,     0,
     414,   423,   502,  1309,   801,   708,   757,   963,   984,  1144,
    1159,  1166,  1252,  1339,  1456,  1469,   987,  1254,     0,   429,
       0,     0,    22,     0,   508,     0,     0,     0,     0,   501,
     440,     0,   454,     0,     0,     0,     0,     0,   908,   909,
       0,     0,     0,     0,     0,     0,   898,   899,     0,     0,
       0,     0,    22,     0,     0,     0,     0,    22,     0,   805,
     802,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,   800,     0,   910,   944,     0,
       0,     0,     0,     0,     0,    22,     0,     0,    22,     0,
       0,    22,   983,   990,   994,   454,   995,     0,     0,  1008,
       0,    22,     0,     0,     0,     0,     0,  1143,     0,  1148,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1338,
       0,     0,  1358,  1367,     0,     0,     0,     0,     0,    22,
       0,    22,  1455,  1461,  1462,     0,     0,     0,     0,  1475,
       0,  1468,  1472,     0,   265,   285,   265,   265,     0,     0,
     265,   265,     0,   254,     0,    29,     0,     0,     0,    32,
      33,   281,     0,     0,     0,   313,    36,   128,   128,     0,
       0,     0,     0,     0,     0,     0,   216,   217,     0,   219,
       0,     0,   195,   198,   194,   197,   200,     0,   273,    37,
      38,   245,   196,   234,   231,   232,   233,   241,     0,   249,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     511,   510,     0,   695,   693,   694,    68,     0,     0,     0,
       0,   687,   522,   521,     0,     0,  1449,   703,   705,   704,
       0,   584,     0,   576,     0,   574,     0,   582,   582,   582,
     582,   582,   581,   582,   582,  1134,   582,   582,     0,   582,
     582,     0,     0,   666,   658,   668,   660,   654,   656,   662,
     664,  1422,  1417,  1420,  1418,  1419,  1421,  1423,  1424,  1425,
       0,  1415,   679,     0,     0,     0,     0,  1443,  1452,  1439,
    1441,  1453,     0,     0,     0,   172,   167,     0,     0,     0,
     392,   394,   395,   497,     0,     0,   397,   471,   472,     9,
      11,     0,   473,    18,    20,    19,    21,     0,    17,  1430,
       0,  1428,   479,     0,   487,  1407,  1412,  1408,     0,     0,
       0,  1433,  1432,   412,   421,   411,   985,   986,   428,  1253,
     430,     0,   503,     0,   433,   434,   488,   439,   438,   437,
     435,    22,   504,   452,   456,   505,   506,   715,   762,   828,
       0,     0,     0,     0,     0,   845,     0,     0,     0,   902,
     900,   903,   901,   904,   906,   905,   907,     0,     0,     0,
       0,    22,    22,     0,    22,     0,     0,     0,     0,   846,
       0,    23,    24,    25,     0,    26,     0,     0,    26,     0,
      22,     0,     0,     0,     0,     0,    22,     0,    22,     0,
      22,    22,     0,    22,    22,    22,    22,    22,    22,     0,
       0,    22,     0,    22,     0,     0,     0,    22,    22,   829,
     942,   946,   830,   972,   988,    22,    22,  1009,   996,    22,
    1006,  1003,     0,    22,   997,   991,   992,   456,   989,  1011,
    1145,  1155,     0,     0,  1154,     0,     0,  1151,  1156,  1157,
    1147,  1146,   447,   176,     0,   461,   462,     0,     0,   460,
     442,     0,   443,   458,   441,     0,    22,     0,  1162,  1163,
    1177,  1261,  1311,  1340,     0,     0,    56,    55,  1354,    22,
       0,  1341,  1342,  1360,     0,  1359,     0,  1363,  1361,  1362,
    1352,  1355,  1365,     0,    22,  1373,    22,     0,     0,  1463,
       0,  1465,  1371,  1458,  1457,  1470,   488,  1473,     0,  1471,
       0,   257,   263,   261,     0,   193,   194,   265,     0,   262,
     264,   256,    28,    30,     0,     0,   282,   338,     0,     0,
     339,   129,   130,     0,     0,     0,     0,     0,     0,     0,
     218,     0,   298,     0,     0,     0,     0,   205,   246,   247,
       0,     0,     0,   274,     0,   275,     0,     0,   310,   308,
     306,   303,   304,   305,   307,   309,   311,   312,   299,   300,
     301,   302,   328,   327,   321,   322,   323,     0,   326,   320,
     324,   325,   333,   334,   335,   330,   331,   332,   336,   337,
     640,   638,   639,   623,   626,   630,   633,   636,   637,   624,
     625,   627,   628,   629,   631,   632,   634,   635,   641,   642,
     643,   515,   516,   517,   519,   520,   518,     0,   513,   685,
     681,   689,   691,   526,   527,     0,   524,   697,     0,   578,
     586,   588,     0,     0,   176,     0,   599,     0,   620,     0,
     601,   600,   605,   606,   619,   621,   622,   590,   598,     0,
     645,   648,   649,   650,   651,   647,   652,     0,    69,    69,
      69,    69,    69,    69,     0,   582,    69,   582,    69,  1119,
      69,    69,  1370,   670,     0,   677,   674,   683,   976,   176,
       0,     0,   981,  1445,     0,  1454,  1435,     0,   168,   182,
       0,   143,   174,   147,     0,     0,   488,     0,     0,   390,
       0,  1431,  1427,     0,   481,   484,     0,  1411,     0,  1410,
    1413,     0,     0,     0,    12,    13,    14,     0,  1160,   431,
     436,   491,   494,   509,     0,     0,   457,   432,   432,     0,
       0,     0,     0,     0,   836,     0,     0,    22,    22,   874,
     876,     0,     0,     0,     0,     0,     0,    22,     0,    22,
     891,   890,   570,   893,   847,    54,    53,   805,     0,   805,
       0,     0,   808,   809,   833,   823,   824,   825,   826,   827,
       0,   802,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   873,     0,     0,
       0,     0,     0,     0,    22,     0,     0,   875,     0,   840,
       0,     0,    22,     0,     0,     0,   947,   432,   998,     0,
    1001,  1000,   999,     0,  1007,  1005,   993,     0,  1152,  1153,
    1149,  1150,   175,   459,   172,   178,   469,   463,   445,    22,
     446,   444,   449,     0,   432,   432,   432,     0,     0,  1347,
      26,  1356,     0,     0,    22,    22,  1353,     0,  1345,  1466,
    1459,  1372,     0,  1464,   496,  1479,  1474,   265,   255,   259,
     265,     0,    30,   284,     0,     0,     0,   124,   126,   346,
       0,   314,     0,     0,     0,     0,   348,     0,     0,     0,
       0,     0,     0,   199,     0,     0,   235,   242,   250,     0,
       0,     0,     0,   512,     0,   523,   580,   617,   618,     0,
     614,   615,   616,   610,   608,   609,   591,   607,   592,   597,
     604,     0,     0,   593,   594,   602,   603,   755,     0,     0,
       0,     0,     0,     0,  1133,  1142,     0,     0,  1137,  1140,
    1135,     0,     0,    69,     0,    69,     0,     0,     0,  1416,
     980,   979,   978,   982,  1437,     8,   170,     0,   172,   184,
       0,     0,     0,   498,   391,   393,    10,   480,   482,   483,
     485,   486,  1406,  1409,     0,  1405,   399,     0,     0,    22,
      22,     0,   424,     0,   492,    69,   488,   507,     0,   455,
     450,     0,   722,   724,   724,     0,     0,   717,   709,     0,
     765,     0,   764,   758,   759,     0,     0,     0,   859,     0,
       0,   858,   857,     0,     0,   810,     0,    22,     0,     0,
     883,   882,   889,     0,   870,     0,     0,     0,     0,    27,
       0,   806,   807,   896,     0,   803,   804,   850,   842,     0,
       0,   863,     0,   852,     0,   838,     0,   839,   872,   855,
     877,   854,   853,   888,   856,     0,   878,     0,   880,   841,
       0,   848,     0,   851,   897,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    22,     0,    22,    22,     0,
      22,   945,   917,     0,   176,     0,     0,     0,     0,   974,
     968,   964,     0,  1002,  1004,  1104,     0,    22,  1024,    22,
    1022,     0,     0,  1014,    22,  1010,     0,  1028,  1105,   177,
       0,   468,   448,  1164,     0,  1180,  1171,  1173,     0,     0,
    1179,  1167,  1168,     0,  1264,    22,     0,  1263,  1255,  1256,
       0,     0,  1323,     0,  1323,     0,     0,  1323,  1310,  1313,
    1314,     0,  1317,  1343,  1344,  1346,     0,    62,    63,  1348,
    1350,  1351,  1349,     0,   353,   353,     0,     0,   350,   351,
     352,     0,     0,   364,     0,     0,   186,  1368,     0,     0,
     353,  1364,     0,  1366,     0,  1467,  1374,  1477,  1481,   258,
     260,     0,   283,     0,   340,     0,     0,     0,     0,     0,
       0,     0,     0,   277,     0,     0,     0,   205,     0,     0,
       0,     0,     0,     0,    34,    35,     0,   514,   525,     0,
     611,   612,     0,   595,   596,   799,   793,   795,   797,  1123,
    1121,  1138,  1141,  1136,  1139,     0,  1125,     0,  1129,  1305,
    1307,     0,   183,     0,     0,   190,   191,   185,   188,   189,
       0,   149,     0,  1414,     0,     0,   415,   416,     0,     0,
     422,   489,     0,   493,   495,   451,   453,   710,   488,   711,
     742,   712,   746,   713,    22,   716,   488,   760,     0,   763,
       0,   865,   843,   864,   867,     0,     0,     0,   814,     0,
       0,     0,     0,   812,   868,     0,     0,     0,   884,   869,
     871,     0,    22,   569,     0,     0,     0,   572,     0,   894,
     835,   834,   832,   862,   861,   844,   860,   837,   881,   879,
     849,   895,     0,    22,    22,    22,     0,     0,    22,     0,
       0,   924,   925,   926,     0,   922,   938,   937,   939,   927,
     943,   967,   966,   965,   970,   969,     0,   973,   488,  1027,
       0,     0,    22,  1015,     0,     0,  1013,     0,     0,  1031,
    1026,  1030,     0,  1020,  1012,     0,  1038,   464,   465,   466,
     467,    52,    51,  1213,  1222,  1170,   488,  1169,     0,     0,
    1175,    22,  1178,   488,  1260,  1257,  1259,  1262,  1325,  1324,
       0,     0,     0,    25,  1327,  1326,  1315,  1330,  1331,  1318,
       0,  1312,  1357,     0,     0,   354,     0,     0,     0,     0,
       0,     0,     0,   385,   385,     0,   184,   376,     0,     0,
       0,     0,  1460,     0,     0,     0,    82,    93,    94,    80,
       0,    83,    84,     0,     0,    87,    88,    92,    89,   131,
      90,     0,   106,   106,     0,     0,   132,     0,   106,   106,
       0,     0,     0,   343,   344,   342,   345,     0,     0,   214,
       0,     0,   212,     0,   208,     0,     0,   206,     0,     0,
       0,   329,   613,  1127,  1131,     0,   356,   179,   192,   173,
       0,     0,     0,   419,   420,    59,    60,    61,    57,    58,
     490,   720,   718,   719,   721,   723,   742,   740,   725,     0,
       0,   749,   714,   788,    22,     0,     0,     0,   817,   818,
     816,   820,   819,   821,     0,   811,   886,   885,   887,     0,
       0,   568,     0,   563,   567,   571,    22,    22,     0,     0,
     932,   933,   934,   935,   936,     0,     0,   941,   928,   914,
     915,   916,   923,   940,    22,    22,  1107,  1111,  1017,  1018,
    1016,  1092,  1019,  1092,  1052,  1032,  1021,  1106,  1039,  1220,
    1219,  1210,  1226,  1225,  1233,  1172,  1235,  1236,  1243,  1174,
    1176,  1299,     0,  1320,    22,  1319,  1316,  1328,     0,  1321,
      64,     0,   353,   374,   375,     0,   369,     0,   251,   360,
       0,     0,     0,     0,   361,   187,     0,   373,     0,     0,
       0,     0,     0,     0,     0,  1480,     0,    31,   341,    81,
      85,    86,    91,    76,    74,    72,    71,    73,    75,    70,
      77,    99,     0,   116,   101,    97,   107,   117,     0,     0,
     118,    50,    49,   115,   125,   121,   122,   123,   119,   127,
       0,   278,   279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   169,   171,     0,     0,   151,
     417,   418,   725,     0,   745,   747,   748,     0,   751,   786,
     766,   761,   866,   815,   822,   813,     0,     0,     0,   912,
     913,   911,   920,   919,   918,   921,    22,     0,   931,   971,
    1105,  1109,  1113,     0,     0,     0,  1041,     0,  1224,  1208,
    1207,  1231,  1241,  1297,  1265,  1258,  1322,  1332,   368,   355,
       0,   362,     0,   359,   365,   385,   386,   387,   385,   388,
     371,   370,     0,     0,     0,   378,     0,  1476,  1478,     0,
      95,    79,    78,     0,     0,    78,   106,   106,     0,   108,
     109,   110,   111,   112,   106,   106,     0,   347,   229,   213,
     211,     0,     0,   209,   227,   207,     0,     0,   225,     0,
     223,   222,     0,   220,   357,   358,   744,     0,   535,   536,
      22,     0,     0,     0,     0,     0,   743,   733,   528,   530,
       0,   562,     0,   750,    22,   753,   767,   790,   564,   565,
     566,   929,   930,  1108,     0,  1025,  1095,  1093,  1096,  1023,
      22,     0,    22,  1029,     0,     0,     0,     0,     0,     0,
       0,  1037,  1051,     0,     0,     0,    22,    22,    22,  1223,
       0,     0,  1212,  1227,  1237,     0,  1301,     0,   372,     0,
     186,   201,   204,     0,   377,   203,   239,   236,   237,   238,
     243,     0,     0,     0,     0,     0,     0,     0,     0,   100,
      98,     0,   102,     0,     0,     0,     0,     0,   120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   731,   531,
       0,   726,   730,   734,     0,   735,     0,   732,   538,   537,
     539,   534,   741,   752,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,   785,     0,     0,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,     0,     0,     0,     0,
    1112,  1091,     0,  1097,     0,     0,  1035,  1036,  1034,  1033,
    1045,  1048,  1049,  1050,  1042,  1043,     0,     0,  1046,  1040,
       0,     0,  1214,  1215,  1216,  1221,     0,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,     0,  1198,  1200,
    1211,     0,     0,     0,  1230,     0,     0,     0,  1240,     0,
       0,    22,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1300,  1292,     0,     0,     0,     0,  1337,     0,   363,   253,
     205,     0,     0,   186,   366,     0,     0,     0,     0,     0,
       0,    96,     0,     0,   103,   114,   113,   228,   210,   226,
       0,   224,     0,   221,     0,     0,     0,     0,     0,   736,
     737,     0,     0,     0,     0,     0,     0,     0,     0,   768,
       0,   771,   772,   770,     0,     0,     0,     0,     0,   777,
      22,   782,   783,   769,     0,     0,   787,  1060,  1061,  1062,
    1063,  1064,  1065,  1066,  1067,  1057,     0,     0,     0,  1085,
      22,     0,  1099,  1090,  1079,  1080,  1081,    22,  1054,  1072,
      22,  1053,  1074,  1056,     0,     0,  1058,    22,    22,  1055,
       0,    22,  1110,  1098,  1094,  1044,  1047,  1247,  1247,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,    22,     0,     0,     0,    22,     0,    22,     0,
    1209,     0,  1245,  1229,  1228,  1234,  1232,  1239,  1238,  1244,
    1242,  1271,  1269,     0,     0,     0,  1285,    22,    22,  1290,
    1293,  1296,  1295,  1294,  1291,  1266,     0,  1270,    22,     0,
       0,  1267,  1268,     0,     0,    22,  1272,    22,    22,    22,
    1298,     0,     0,  1336,  1329,  1333,   202,     0,   240,   244,
     252,     0,   383,     0,   380,   381,   379,   382,     0,     0,
       0,     0,   727,   728,   529,   531,   729,   738,   739,    65,
       0,     0,     0,     0,     0,     0,     0,   558,   559,   560,
     561,     0,     0,     0,   562,     0,     0,   775,   776,   500,
     499,   778,   779,   784,   773,   774,  1083,  1082,  1084,  1087,
    1086,  1075,    22,     0,  1073,     0,  1088,  1071,  1059,  1070,
    1069,  1076,  1068,    22,  1217,  1218,     0,  1183,     0,     0,
    1204,  1205,  1206,  1193,  1247,  1194,     0,  1247,  1187,    22,
    1186,  1188,  1189,     0,  1202,  1199,  1203,  1201,  1246,  1283,
    1284,  1286,  1289,  1276,  1278,     0,  1287,  1281,  1282,  1279,
    1280,  1273,  1274,  1275,  1277,     0,     0,     0,     0,     0,
     105,   104,   215,     0,   532,   539,     0,     0,   539,   539,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     539,     0,     0,   533,   780,   781,  1077,  1078,  1101,  1100,
    1089,  1248,  1195,  1181,  1182,  1191,  1196,  1192,  1184,  1190,
    1288,  1335,  1334,   367,   384,     0,   544,   539,   539,   546,
     545,   547,   539,   539,  1102,     0,     0,   542,   543,   540,
     541,  1103,     0,   230
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2184, -2184, -2184, -2184, -2184,  -291,  -367,   -72,  1480,  -426,
    -749, -2184,  -157,  -159,  1805,  1815,  1822, -2184, -2184, -2184,
    -240, -2184, -2184,  -105, -2184, -1435,  -758,  -582, -2184, -2184,
    1293, -1428,  -102,  -254,   717,  -191, -2184,  1255,  1263,  1312,
    1314,  1059,   779,   782,  1067,  -563,  -332,  1062, -2184, -2184,
   -2184, -2184,  2338, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,   -83, -2184,
   -2184, -2184,  1673,  -752, -2184,  -603,  1552, -2184, -2184, -2184,
    1105, -2063, -2184, -2184,  1275, -2184,  -243,  1954,   526, -1236,
   -2005,  2660, -1962, -1909,  1958,   533,  2384, -2184,  1971, -2184,
   -2184, -2184, -2184,  -486, -2184, -2184, -2184, -1228,  -148, -1229,
      -5, -2184, -1442, -2184, -2184, -2184, -1232, -2184, -2184, -2184,
   -1574, -2184, -2184,  -453, -2184, -2184,   106, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,   -38,  -109, -2184,  2785,  1738, -2184,
    2467,  2109,  -116,  -542,  -472, -2184,  -333, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,  1573,  -715,  -306, -2184, -2184, -1569,
   -2184, -2184, -2184, -2184, -2184,  -264, -2184,  1669,   152, -2184,
    1678,  -823, -2184,   387, -2183, -2184, -2184,  -789, -2184,   370,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,  -275, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,  -882, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184,  1316,  2337, -1227, -2184, -2184, -2184, -2184, -2184,
   -2184,  1580,   923, -2184, -2184, -2184,  1092, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,  1802,
     391, -2184, -2184,  1083, -2184, -2184, -2184, -2184, -2184, -2184,
    1074, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184,  1047, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184,   912, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,   500, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,   668,   653, -2184, -2184, -2184, -2184,
     501,   652, -2184, -2184, -2184, -2184,   498,   659, -1791, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184,  -232,  1225, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,  2119, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184,  1900,  1939, -2184, -2184, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184,  1240,  2339, -2184, -2184,
   -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184, -2184
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   108,   109,   708,   721,   389,  2061,  1943,
    1159,   545,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  2013,  1753,  2176,   878,  1870,  1538,
    1539,  2570,   351,   617,  2002,  2113,  1820,  1821,  1822,  1823,
    1824,  2003,  2004,  2005,  2007,  2008,  2123,  2010,  1825,  1831,
    1575,  1576,   931,  1267,  1268,   263,   264,   265,    22,    23,
      24,    25,   110,   685,   111,   112,   113,   114,  1623,  1347,
    1089,  1090,  1091,  1223,  1224,   859,  1092,   115,   684,  1348,
    1624,  1795,  1796,  1625,  1626,  1627,   266,   583,  2216,   945,
     584,   946,   585,   586,   587,  2220,   588,  2221,   589,   590,
    2092,   541,   267,   542,   268,   269,   925,   270,   271,   272,
    1587,  1560,  1786,  2038,  1628,  1971,  1629,  1792,  2222,  2551,
    1972,  2098,   116,   695,   117,   118,   400,   120,   121,   371,
    1373,  1117,   725,   122,   390,   401,   402,  1380,  1381,  1125,
     744,  1126,   403,   864,   860,  1501,  1228,   123,   363,   364,
     124,  1121,  1643,  1375,  1122,  1254,  1255,  1096,  1097,  2429,
     125,   126,   127,   736,   404,   613,  1017,  1018,   625,  1025,
    1026,  2157,  2158,  2406,  2159,  2160,  2161,  2418,  2581,  2261,
    1688,  1416,  1153,    26,    27,    28,    29,   648,    30,    31,
      32,   634,  1306,  1307,  1049,  1010,   278,    33,   636,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     313,   673,    45,    46,    47,    48,    49,    50,    51,   279,
      52,    53,   280,   630,   274,   128,  1389,  1127,   129,  1875,
    1647,  1648,  2044,  2162,  2257,  2043,  1878,  1649,  1651,  1881,
    2048,  2165,  1653,    54,   130,  1395,  1128,   131,  1656,  2167,
    2277,  2166,  2050,  1657,    55,    56,    57,    58,   132,   789,
     786,  1406,  1672,  1673,  1170,   133,   778,  1417,   457,   458,
    2062,  1922,  1473,  1205,   821,  1206,   459,   134,  1482,  1207,
     135,    59,   675,   386,   136,   137,   836,   475,   476,   477,
     478,   479,  1217,  1496,  1737,  1734,  1740,  1741,  2075,  2184,
    1497,  2076,  2193,  1498,  2302,  2073,  2177,  2178,  2305,  2603,
    2715,  2689,  1728,  1746,  1927,  2070,  2174,  2072,  1729,    60,
      61,    62,    63,    64,    65,    66,    67,  1064,   138,   139,
     490,   140,   728,   141,   142,  1513,  1758,  1759,  1234,   143,
    1756,  2341,  2497,  2499,  2623,  2202,  2201,  2080,  1757,  1754,
    2200,  2078,  2077,  1940,  1755,  1944,  2081,  2345,  2505,  2203,
    1945,  1948,  2082,  2349,  2509,  2204,  1949,  2503,  2614,   387,
     144,  1520,  1235,   145,  1763,  2206,  2372,  2524,  2205,  2084,
    1764,    68,    69,   146,   147,  1236,  1531,  1770,  1532,  1776,
    1779,  1957,  1958,  2207,  2377,  2544,   148,   149,   890,   891,
     512,   513,  1563,  1247,   893,    70,   150,   525,   365,   151,
    1107,  1109,   718,  1112,   670,   671,   152,   153,    71,    72,
      73,    74,    75,    76,    77,    78,   322,   682,   154,  1565,
     526,   155,   156,   533,   906,  1986,  1803,  1568,   907
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     358,   722,   273,   785,   788,   345,   550,   582,   549,   326,
     581,   827,   543,   327,   328,  1561,   615,   933,  1559,  1558,
    1562,  1123,   862,   489,   456,   651,  1157,  1784,   474,   618,
     488,  1048,   500,   511,   524,  1946,   310,  1280,  1172,  1171,
     510,   523,  1777,  1586,  1588,  1590,  1591,   532,   911,  1846,
     912,   913,  1047,  1841,   919,   920,   910,  2132,  2139,  2142,
     674,  1110,  1137,   702,   534,  2517,  2407,  2111,  2115,   535,
    2111,  2115,  1082,  1760,  2210,   699,   720,   720,   759,   536,
     700,   537,   329,  2211,  2212,   915,   916,  2217,   697,   698,
     405,   580,   406,   579,   407,   548,   460,  1751,   461,  2431,
     480,   610,   699,  1787,   502,  2342,   503,   700,   504,   119,
     505,  2343,  1879,   948,   949,  1711,   527,   528,  1799,   761,
    1559,  1558,  1562,   157,   622,   703,   704,   705,   706,   735,
    2218,   763,   594,   595,   596,   597,   598,   780,   699,   781,
     782,   712,   783,   700,   750,  1242,  2486,  2379,  2484,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   311,   814,
     608,   703,   704,   705,   706,   555,   553,  1316,   594,   595,
     596,   597,   598,  1984,   765,   631,   830,   753,   547,   548,
     754,  1155,   349,  2219,   350,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   547,   548,   608,  1155,  1172,   781,
     782,   852,   783,     1,  1800,  2344,   546,  1078,   594,   595,
     596,   597,   598,   781,   782,  1801,   783,  1141,  1243,   751,
    1973,  1599,    79,   611,   895,   599,   600,   601,   602,   603,
     604,   605,   606,   607,  1173,  2432,   608,   594,   595,   596,
     597,   598,  1730,   473,   571,   158,   623,   572,   573,   163,
     574,   575,   576,   159,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   717,  2481,   608,  1889,   594,   595,   596,
     597,   598,   690,   687,   691,  1985,  2467,   692,   699,   554,
    1120,  1731,  1309,   700,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   738,   739,   608,   582,   723,   352,   353,
    1712,   703,   704,   705,   706,   693,  1732,   781,   782,   792,
     783,   594,   595,   596,   597,   598,   793,   354,  2518,   768,
    2550,  2211,  2212,   915,   916,  1233,  1131,  1340,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   699,  1238,   608,
    1101,  1142,   700,   534,  2211,  2212,   915,   916,   535,  1079,
     854,   713,   572,   573,   915,   916,   575,   576,   536,  1880,
     537,   776,  1057,  1058,  1059,  1060,  1061,   642,  1062,  1063,
    1138,  1066,  1068,  1080,  1070,  1071,  1244,  2217,   690,   699,
     691,  1353,  2407,   692,   700,   349,   543,   350,   543,   543,
    1085,   760,   543,   543,  1173,  2018,  2468,  1081,  1559,  1558,
    1562,   877,   703,   704,   705,   706,  1993,  1994,  1995,   845,
     699,  2482,   699,   699,   699,   700,   720,   700,   700,   700,
    2218,  1103,   699,  1996,  1997,  1998,  1108,   700,  1113,  1603,
    1604,  1259,   762,   703,   704,   705,   706,   703,   704,   705,
     706,   632,   699,   699,   764,   699,  1226,   700,   700,   928,
     700,  1308,   572,   573,   915,   916,   575,   576,  1240,  1915,
    1241,   594,   595,   596,   597,   598,  1135,  1136,   703,   704,
     705,   706,   699,  2219,  1111,  1218,  1219,   700,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   766,  2571,   608,
    2487,  1535,  1778,    80,   594,   595,   596,   597,   598,  2488,
    1176,  2485,   787,  1179,  1999,  2000,  1910,  1911,   642,   710,
     643,   599,   600,   601,   602,   603,   604,   605,   606,   607,
    2089,  2223,   608,  1890,  2224,   288,   699,    81,  1230,   877,
     367,   700,  1231,   914,  1200,   289,  2303,    82,  1342,    83,
      84,  1214,  2304,  2479,  1156,   699,   926,   324,   325,   740,
     700,   720,   720,   315,   846,   934,   935,   936,   937,   938,
     939,  1965,   929,  1174,  1056,    85,  1227,  1559,  1558,  1562,
    1227,   312,   947,   551,  1227,  1245,   707,   572,   573,   915,
     916,   575,   576,  1916,  1367,  1368,  2531,  1947,   368,   958,
     959,   960,   961,   962,   963,   964,   965,   966,   967,   968,
     969,   970,   971,  1281,  1480,  2024,  1251,  2026,  2582,  1253,
    2028,  2311,  2031,  2033,  1847,  1848,  1143,  1256,  1842,   686,
     538,   644,  2133,  2140,  2143,   580,   539,   579,   540,  2116,
     779,   701,  2124,  2572,   323,    86,   612,    87,    88,  2213,
      89,  2317,    90,  2214,    91,  2532,    92,    93,    94,  1065,
      95,  1209,   594,   595,   596,   597,   598,   950,   701,   624,
     784,  1404,   355,    96,    97,    98,    99,   100,   101,   599,
     600,   601,   602,   603,   604,   605,   606,   607,  1087,   346,
     608,   813,   594,   595,   596,   597,   598,  2615,   699,  1098,
    1118,  1369,  1370,   700,   701,  1371,  1100,  -892,  1968,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   582,   582,
     608,   649,  2449,  1201,   581,   102,   550,   642,   549,  1144,
     347,   103,  1721,  1692,  2465,   699,   348,   104,   105,  2312,
     700,  1436,   942,   943,  1739,  2091,  2175,   661,  1559,  1558,
    1562,  2454,   699,   349,  2097,   350,  2099,   700,   703,   704,
     705,   706,  2179,  2583,  1210,  2520,  1313,  2687,   594,   595,
     596,   597,   598,   356,   316,   703,   704,   705,   706,   543,
    1942,  1569,  1583,  1584,  1570,   599,   600,   601,   602,   603,
     604,   605,   606,   607,  2516,   645,   608,   650,  2180,  1160,
    1333,  2521,  1335,  2059,  2060,   580,   699,   579,   366,   646,
     647,   700,  1272,   577,  1318,  1319,  1320,  1321,  1322,  1323,
     578,   369,  1334,   952,  1336,   662,  1337,  1338,   953,   703,
     704,   705,   706,  2425,  2426,   370,   781,   782,   694,   783,
     699,  1239,  1273,  2695,   701,   700,  2697,  1160,  1396,  1397,
     491,  1399,  1400,   594,   595,   596,   597,   598,   349,  1225,
     350,  2258,  1409,   703,   704,   705,   706,   544,  1067,  2455,
     599,   600,   601,   602,   603,   604,   605,   606,   607,  1421,
    1422,   608,  2313,  1302,  1612,  1301,  1274,  2547,  1613,  1614,
     546,  1425,  1426,   349,   551,   350,  1429,  1430,  1906,  1432,
     349,  1434,   350,   701,   556,  2181,  2240,  1314,   552,   538,
    2213,  2242,   559,  2243,  1447,   539,  2245,   540,   577,  1450,
     557,  1160,   809,   773,   715,   917,   606,   607,  1483,   357,
     608,   716,  1484,   594,   595,   596,   597,   598,   877,   324,
     325,  2501,   699,  1723,   694,   701,  1277,   700,  1278,   560,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   699,
    2182,   608,  1540,   810,   700,   703,   704,   705,   706,  1652,
     547,  1566,   558,  2011,  2596,  2597,   701,  1446,   701,   701,
     701,   699,   703,   704,   705,   706,   700,  2378,   701,  1343,
    1559,  1558,  1562,   561,  2346,  1161,   862,  2574,   811,   317,
    2427,  2347,  1351,  1023,   703,   704,   705,   706,   701,   701,
    1681,   701,  2456,   562,  1362,   638,  1363,  1350,  1285,   774,
     318,  1907,  1394,  1926,  2447,  2426,  2522,  1372,  1388,  1393,
     594,   595,   596,   597,   598,   563,  1275,  1908,   701,  2514,
    2426,   737,   639,  1161,   775,  1909,   564,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   547,   548,   608,  1024,
    1682,   106,   594,   595,   596,   597,   598,  2428,   565,  1582,
     107,   275,   281,   276,   276,  1675,   883,   726,   727,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   591,  1615,
     608,  1617,   701,   627,  2348,   628,  1419,  1919,   592,   781,
     782,  2523,   783,   281,  2183,   276,  1683,   609,  1481,  1774,
    1684,   701,  1716,  1685,  1686,   614,  2535,  1161,   640,   543,
    1162,  1163,   543,   616,  1645,  1920,  1921,  1677,  1512,  1519,
    1530,  1642,  1114,  1115,  1116,  1511,  1518,  1529,   594,   595,
     596,   597,   598,   577,   641,   621,   359,   492,   547,   548,
     550,  1155,   549,  2666,  2667,   599,   600,   601,   602,   603,
     604,   605,   606,   607,  2681,  2682,   608,  1735,  1162,  1163,
    2382,  2605,   663,  2383,  2560,  1917,  2561,   626,  1923,   594,
     595,   596,   597,   598,   627,  1378,   628,   284,  1718,   493,
     494,  2427,  2148,  2149,   495,  1724,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   496,  2427,   608,   324,   325,
    2645,   633,   277,   277,   497,   664,   665,   666,   667,   668,
     669,  2253,   635,  2151,   360,   361,   362,  1832,   594,   595,
     596,   597,   598,   954,   629,  1766,   388,  1074,   955,  1075,
    1768,  2185,  1162,  1163,   277,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   701,  2254,   608,  1962,  2448,   391,
     757,   758,  1156,  2192,   392,   393,   637,  1742,   529,  1572,
    2009,  2412,   395,  2515,  1621,  1577,  2009,  1578,  1579,  1580,
    1581,  1871,  1864,  1802,   642,  2186,   -68,   -68,  1630,   -68,
    1593,   701,  1872,  1873,  2187,  1934,  1596,   594,   595,   596,
     597,   598,  1772,  2413,   884,  1780,   652,   285,   701,   319,
     320,   321,   798,   799,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   653,  1164,   608,   952,   396,  1903,   672,
     397,  1260,  1258,   885,   654,   282,   283,   286,   287,  2255,
    2256,   316,   886,   580,   314,   579,   594,   595,   596,   597,
     598,   655,  1876,  2276,  1292,  1752,  1293,  1863,   720,  1752,
    1883,  2301,   701,   599,   600,   601,   602,   603,   604,   605,
     606,   607,  1690,   656,   608,  1806,   842,   843,  2414,  1885,
     657,  1807,  1808,  1809,  1810,  1725,  1811,  1812,  1813,   848,
     849,  1814,  2371,  1815,  1816,  1294,   701,  1295,  1874,  1817,
    1818,  2620,  2621,  2622,   720,  1904,   594,   595,   596,   597,
     598,  1165,  1166,  1167,  1168,  1169,  2415,  1271,  2188,  2189,
    2190,   658,  2416,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   659,  1775,   608,   660,  2703,  2705,   677,  1559,
    1558,  1562,  2417,  1687,  1865,  1866,  1691,  1867,   679,  1928,
    1929,   863,   680,  1341,  1932,   594,   595,   596,   597,   598,
    1941,  1936,  1104,  1105,  1937,  2373,  2374,  1951,  1074,   681,
    1633,  2375,   599,   600,   601,   602,   603,   604,   605,   606,
     607,  1263,  1264,   608,  1993,  1994,  1995,  1665,   683,  1953,
    2722,  1955,  2064,  1869,   863,  1868,  1722,  1276,   701,  1959,
     688,  1996,  1997,  1998,  2040,  2041,   594,   595,   596,   597,
     598,   887,   888,   889,   548,   701,  1751,    82,   696,    83,
      84,  1269,  1270,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   689,  2376,   608,  1358,  1359,   701,  2194,  2195,
    2001,   711,  2196,  2197,  2198,  1894,  2001,  1895,   719,  1785,
    1785,  2035,  1789,  2036,   853,   854,  1790,  1791,  1418,  1855,
    1420,  1856,   714,  2233,  2234,  1785,   729,   676,  2107,   678,
     855,  2236,  2237,  1360,  1361,   856,   730,  2191,  1705,   724,
     720,   720,  1999,  2000,   731,   853,   854,  1837,   732,  1838,
     861,  1600,  1601,   733,  1283,   594,   595,   596,   597,   598,
    1379,   855,   781,   782,   741,  1773,   856,   350,   742,  1704,
     619,   620,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   857,   743,   608,   391,  1666,  1355,   858,   745,   392,
     393,  2163,   594,   595,   596,   597,   598,   395,  1638,  1639,
     746,  2199,   747,    96,    97,    98,    99,   100,   101,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   853,   854,
     608,  1297,  1298,  1299,  1300,   594,   595,   596,   597,   598,
     530,  2085,  1839,  1840,   855,  1844,  1845,  2012,   748,   856,
     531,  1752,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   749,   396,   608,   861,   397,  1892,  1893,   752,  2168,
    2169,  2170,  1356,  1899,  1900,   506,  2670,  2671,  2672,  2673,
    2674,   594,   595,   596,   597,   598,   755,   507,   756,  1970,
     767,  2110,  1990,  1991,  1324,  2111,  2112,  2118,   599,   600,
     601,   602,   603,   604,   605,   606,   607,  2130,  2131,   608,
     770,  1325,  2264,  1833,   771,   594,   595,   596,   597,   598,
     772,  2265,   547,   874,   875,   876,  2266,  2675,  2676,  2677,
    2678,  2679,   599,   600,   601,   602,   603,   604,   605,   606,
     607,  2135,  2136,   608,   790,   720,   720,   720,   853,   854,
    1326,   791,   171,  1667,   173,   174,  2172,   794,  2046,  1961,
     795,  1668,  1834,  1669,   855,  1670,  2251,   796,  1671,   856,
    1806,  2246,  2247,  1976,   797,  1978,  1807,  1808,  1809,  1810,
     800,  1811,  1812,  1813,   857,   508,  1814,  2045,  1815,  1816,
     858,  2148,  2149,   801,  1817,  1818,  2117,   804,  2229,  2125,
     803,  2001,   805,  2001,   806,  2117,  2125,  2020,  1747,  1748,
    1749,  1750,   808,  1156,  1156,   709,   594,   595,   596,   597,
     598,  2409,  2410,  1485,   815,  1011,  1012,  1013,  1486,  2215,
     807,  1835,   816,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   720,  2252,   608,  1327,  2421,  2422,  2267,  1014,
    1015,   817,   734,  1016,  2567,  2568,  2706,  2148,  2149,  2709,
    2710,  1979,  1980,  2585,  2586,  1981,  2119,  2120,  2121,  2122,
    2307,  2711,  1982,  1983,  2310,  1819,  2314,  2315,  2093,  2318,
    1836,   819,   769,  1382,  2395,  2396,   820,   777,  2151,   818,
     822,   823,   825,   824,   580,   580,   579,   579,  2717,  2718,
     826,   802,   829,  2719,  2720,   832,   833,   835,   838,   812,
    2268,  2269,   844,  2527,  2270,   839,   847,   840,   850,   863,
    2391,   851,  2392,  2393,  2394,   828,  2575,  2576,   831,  1487,
     865,   834,   866,  2577,  2578,  2579,  2580,  1785,   867,  1328,
    1851,   841,   868,   869,   870,   879,   880,  2095,   871,   894,
    2271,   872,   873,  2419,   881,   882,  2423,   391,  2272,  2273,
    2274,  2433,   392,   393,   892,   896,  1383,   897,  2445,   900,
     395,   908,   898,   902,   903,   921,   909,  2458,  2459,   899,
    2461,   901,  2463,   904,  2466,   905,  2469,   922,   923,  2021,
     924,   930,   927,  2473,   608,   940,  1050,   941,   951,   956,
     957,  1329,  1019,   301,  1020,  2475,  2476,  1021,  1022,  2477,
    2478,  1027,  2144,   324,   325,   509,  1029,  2562,  2563,  1030,
    1069,  2566,  1072,  1073,  1076,   396,  1077,  1488,   397,   302,
    1083,  2502,  1086,  1106,  1088,  2502,  1129,  1093,  2259,  2511,
    2022,   594,   595,   596,   597,   598,  2525,  2594,  2595,  1094,
    1119,  1095,   303,  1147,   304,  2536,   305,  1099,   599,   600,
     601,   602,   603,   604,   605,   606,   607,  1102,  1051,   608,
    1130,  1132,  1133,  1489,  1134,  1149,  1152,  2225,  2226,  2227,
    1330,  2228,  1384,  1385,  1158,  1139,  1140,  1150,  1151,  1386,
    1490,  1154,  1491,   720,   720,  1177,  1492,   720,  1178,  1180,
    1493,  1494,  1331,  2573,  2437,  2438,  2439,  2440,  2441,  2442,
    2443,  2444,  1182,  2587,  2588,  2589,  2590,  2591,  2215,  2215,
    1184,  1187,  1194,   720,   720,  1195,  1197,  1202,  1199,  2127,
     306,   307,   308,   309,  1332,  2598,  2599,  2600,  1052,  2684,
    2685,  1220,  2647,  1221,  1213,  1222,   884,  1752,  1248,  1252,
    1053,  1054,  1229,  2607,  2608,  1257,  1261,  2688,  1262,  2611,
    1266,  1279,  1055,  1282,  1284,  1289,  2387,  1290,  1265,  1291,
    2617,  1296,  1310,  1315,  2624,  1311,  1312,  2627,  2628,  1317,
    2147,  1344,  2631,  2632,  1346,  1352,  1354,  1365,  2380,  1357,
    2638,  1366,  1374,  1376,  1377,  1407,  1398,  2384,  1401,  2388,
    1402,  1124,  2639,  2640,  2641,  1408,  1410,  1500,  1411,  1412,
    1414,  1423,  1427,  1428,  1431,  2644,  1433,  1435,   720,  2648,
    1437,  1438,  2649,  2650,  1439,  1537,  1440,  1441,  2148,  2149,
    2150,  1145,  1146,  1442,  1148,  1495,  1536,  1564,  1443,  1444,
    1448,  1449,  2275,  1571,  1451,  2389,  1453,  2660,  2661,  1454,
    1175,  1503,  1533,  2543,  1567,  1573,  1181,  1534,  1183,  2151,
    1185,  1186,  1574,  1188,  1189,  1190,  1191,  1192,  1193,  1592,
    1594,  1196,  1595,  1198,  1602,  1605,  1606,  1203,  1204,  2390,
    2152,  1607,  1608,  2153,  2154,  1208,  1211,  1609,  1610,  1212,
    1611,  1616,  1618,  1215,  1619,  1620,  1631,  1634,  1635,  1641,
    1826,  1640,  1646,  1632,  1655,  2692,  1659,  2693,  2694,  1654,
    1658,  1660,  1661,  1662,  1663,  2696,  1664,  1674,  1708,  1707,
    1703,  2155,  2699,  1678,  1702,  1679,  1232,  1680,   160,  1689,
     161,   162,   163,   164,   165,   166,  1693,   167,  1694,  1237,
    1695,  1696,  1697,  1698,  1699,   168,   169,   944,  1700,  1701,
     170,  1706,  1709,  1710,  1249,  1714,  1250,  1720,  1727,  1726,
    1738,  2553,   171,   172,   173,   174,  1744,  1745,   175,   594,
     595,   596,   597,   598,  1761,  1762,  1767,  1769,  1387,  1771,
    2546,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,  1781,  1783,   608,   599,   600,
     601,   602,   603,   604,   605,   606,   607,  1788,  1797,   608,
    1793,  1794,  1798,  1804,  1805,  1843,  1850,  1849,  1852,  1853,
    1854,   176,   177,   566,   567,   568,   569,   178,   179,  1857,
     180,   181,   182,   183,   184,   185,   186,   187,   188,  1859,
    1860,  1877,  1884,  1861,  1862,  1886,  1896,   189,   190,   191,
    1888,  1887,   192,   594,   595,   596,   597,   598,  1891,  1897,
     193,  1898,  1902,  1905,  1924,  1925,  1931,  1952,   194,  1933,
     599,   600,   601,   602,   603,   604,   605,   606,   607,  1935,
    1938,   608,   594,   595,   596,   597,   598,  1939,  1521,  1954,
    1960,  1963,  1964,  1974,  1987,  1977,  -893,  -893,  -893,   599,
     600,   601,   602,   603,   604,   605,   606,   607,  1988,  1989,
     608,  1992,  2014,  -893,  -893,  -893,  -893,  -893,   604,   605,
     606,   607,  2657,  2023,   608,  2006,  2019,  2027,   594,   595,
     596,   597,   598,  2701,  2702,  2029,  2037,  2053,  1521,  2039,
      82,  2047,    83,    84,   195,   599,   600,   601,   602,   603,
     604,   605,   606,   607,  2034,  2049,   608,  2052,  2056,  2057,
    2065,  2058,  2054,  2066,  2067,  2094,    82,  2090,    83,    84,
     330,   331,   332,   333,   334,   335,   336,   337,   338,  2105,
     339,   340,   341,   342,   343,   344,  2071,  2109,  2079,  2126,
    2164,  2235,  2083,  2209,  2238,  2239,  2241,  1403,  1405,  2244,
    2250,  2108,  2087,  2102,  2145,  2659,  2103,  1413,  2104,  1415,
    2106,  2208,  2128,  2156,   196,  2114,  2129,  2134,  2316,  2137,
    2320,   462,    82,  2249,    83,    84,  2260,  2138,  2262,  2141,
    2309,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,  2319,  2325,  2381,  2321,  2385,  2397,   391,    82,  2386,
      83,    84,   392,   393,  1445,  2398,  2399,  2401,   207,   208,
     395,  2400,  1452,  2402,  2404,  2403,    96,    97,    98,    99,
     100,   101,  2405,   391,  2408,  2420,  2411,  2424,   392,   393,
    2430,  2434,  1514,  2435,  2436,  2446,   395,  1504,   209,  1502,
    2450,  2451,    96,    97,    98,    99,   100,   101,  2452,  2460,
    2471,  2457,  2470,   210,  1541,  1542,  2464,  2472,  2474,  2483,
    2490,  2489,  2492,  2495,  2493,   396,  2494,  2496,   397,  2498,
    1946,  2500,   211,   212,   213,   214,  2513,  2506,  2510,   391,
    2526,  2530,  2528,  2529,   392,   393,  2533,  2534,  2537,  2538,
    2540,   396,   395,  2541,   397,  2539,  2542,  2545,    96,    97,
      98,    99,   100,   101,  2558,   391,  2552,  2554,  2555,  2559,
     392,   393,  2569,  2556,  1505,  2557,  2565,  2593,   395,  2564,
    2602,  2618,  2584,  2616,    96,    97,    98,    99,   100,   101,
    2613,    82,  2619,    83,    84,  2626,  2629,  2633,  2655,  2656,
    2658,  2662,  1474,   854,  2663,  2690,  2714,   396,  2665,  1522,
     397,   391,  2668,  2700,   215,   216,   392,   393,  2669,  1782,
    2231,  1827,  2680,   463,   395,  2704,  1475,  1303,  2350,  1828,
     217,   218,  2326,   396,  2716,  2723,   397,  1304,  2707,  1636,
    1637,  2708,  1523,  1524,  1305,  2712,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,  2713,  2721,  2015,  1676,  1829,   396,
    1830,  2017,   397,  2232,  2230,  2016,   932,  1499,  2327,  2328,
    1622,  1975,  1858,   247,   248,  1286,   249,  2548,   391,   570,
    1287,   593,   250,   392,   393,  2549,   594,   595,   596,   597,
     598,   395,  1476,   918,  2329,  1288,   501,    96,    97,    98,
      99,   100,   101,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   837,  1472,   608,  1713,  1216,  1715,  1717,  1644,
    1719,  1345,  2664,   160,  2683,   161,   162,   163,   164,   165,
     166,  1597,   167,  1966,  1650,  2146,  1028,  1733,  2042,  1736,
     168,   169,  1598,  1424,  1743,   170,   396,  2055,  1515,   397,
    2074,  2063,  2173,  2148,  2149,  2351,  2625,   171,   172,   173,
     174,  2330,   514,   175,  2480,  1765,  2504,  2637,  2635,  2508,
      82,  1956,    83,    84,  2331,  2507,   464,   465,   466,   467,
    1246,  1364,     0,  1339,  2151,     0,     0,  1084,     0,     0,
    1525,     0,     0,     0,     0,  1526,     0,  1527,     0,     0,
       0,     0,  1516,     0,   468,  2088,  2352,  2353,     0,   469,
    2354,     0,   470,     0,   515,   471,   176,   177,   566,   567,
     568,   569,   178,   179,     0,   180,   181,   182,   183,   184,
     185,   186,   187,   188,  2100,     0,     0,     0,     0,  1477,
    1478,  2355,   189,   190,   191,     0,  2356,   192,     0,     0,
    1969,  1349,     0,  2357,     0,   193,  2358,     0,  1528,     0,
       0,     0,     0,   194,     0,     0,     0,     0,     0,     0,
    1506,  1507,     0,     0,  1508,     0,     0,   391,     0,  1509,
    2101,     0,   392,   393,  1517,     0,     0,     0,     0,  2359,
     395,     0,     0,     0,     0,     0,    96,    97,    98,    99,
     100,   101,     0,     0,  1882,     0,     0,     0,     0,     0,
     481,     0,  2360,   330,   331,   332,   333,   334,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
       0,     0,  1901,     0,     0,     0,     0,     0,     0,   195,
     472,     0,     0,     0,     0,   396,     0,     0,   397,     0,
       0,     0,     0,  1912,  1913,  1914,     0,     0,  1918,     0,
       0,     0,     0,     0,     0,    82,  1510,    83,    84,     0,
       0,   516,     0,     0,     0,     0,     0,   482,     0,  2361,
       0,     0,  1930,     0,     0,     0,     0,  2332,     0,  2333,
    2334,     0,     0,     0,  2335,  2336,     0,  2337,   483,     0,
       0,     0,  2362,     0,     0,  2338,  2339,     0,     0,   196,
       0,  1950,  1479,     0,     0,     0,     0,     0,     0,    82,
    2363,    83,    84,     0,     0,     0,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,     0,     0,     0,     0,
       0,     0,     0,   517,   518,     0,  1455,     0,     0,     0,
       0,     0,     0,   207,   208,     0,     0,  2364,  2365,  2366,
    2367,     0,  2368,     0,     0,     0,  2369,     0,     0,     0,
       0,     0,   391,     0,     0,     0,     0,   392,   393,     0,
       0,   394,     0,   209,     0,   395,     0,     0,   519,   520,
     521,    96,    97,    98,    99,   100,   101,     0,   210,   522,
       0,  2340,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   492,     0,     0,   211,   212,   213,
     214,   290,     0,   291,     0,  1456,   391,     0,     0,     0,
       0,   392,   393,     0,  2051,  1390,     0,     0,  2370,   395,
     396,     0,     0,   397,     0,    96,    97,    98,    99,   100,
     101,     0,  1378,   292,     0,     0,  1457,  1458,     0,     0,
     293,   495,     0,     0,     0,   398,     0,     0,     0,     0,
       0,     0,   496,     0,  2068,  2069,     0,     0,   484,   485,
     486,   497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   294,   396,   295,     0,   397,     0,   215,
     216,     0,     0,   296,  2086,     0,     0,     0,     4,     5,
       6,     0,     0,     0,   297,   217,   218,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1459,     0,  1460,     0,
    1461,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
       0,     0,     0,     0,     0,   372,     0,   990,     0,   991,
     992,     0,     0,  1391,     0,     0,     0,     0,   247,   248,
       0,   249,     0,     7,   594,   595,   596,   250,   492,     0,
       0,     0,   373,     0,     0,     0,     8,     0,   487,     0,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,     0,  2171,     0,     0,     0,
     391,     9,    10,   374,     0,   392,   393,     0,  1462,   298,
     493,   494,     0,   395,     0,   495,     0,  1463,  1464,     0,
       0,     0,     0,     0,  1465,     0,   496,     0,  1466,     0,
       0,     0,     0,     0,     0,   497,     0,  1467,     0,    11,
       0,    12,     0,    13,     0,     0,  1468,     0,  1469,     0,
       0,  1470,     0,     0,    14,     0,     0,     0,     0,     0,
       0,   375,     0,     0,     0,     0,     0,     0,   396,     0,
       0,   397,   376,   993,   994,   995,   996,   997,   998,     0,
    2248,     0,     0,    15,     0,     0,     0,    16,     0,     0,
       0,     0,    17,    18,  2263,     0,   299,     0,     0,   160,
       0,   161,   162,   163,   164,   165,   166,     0,   167,     0,
    2306,     0,  2308,     0,     0,     0,   168,   169,  1585,     0,
     300,   170,     0,     0,     0,     0,  2322,  2323,  2324,     0,
       0,     0,     0,   171,   172,   173,   174,     0,     0,   175,
       0,     0,     0,     0,  2278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   999,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,     0,     0,     0,
       0,     0,     0,   399,     0,     0,     0,   972,   973,     0,
       0,     0,     0,     0,   377,   974,     0,   378,     0,     0,
       0,     0,   176,   177,     0,     0,     0,     0,   178,   179,
       0,   180,   181,   182,   183,   184,   185,   186,   187,   188,
       0,   975,     0,   976,     0,  2453,     0,    19,   189,   190,
     191,     0,  2462,   192,     0,     0,     0,  1392,   498,     0,
       0,   193,     0,     0,     0,     0,     0,   379,     0,   194,
     977,   380,   381,     0,     0,     0,     0,  1471,     0,     0,
     978,   979,     0,   980,   981,   982,   983,   984,     0,     0,
       0,     0,     0,  2491,   985,   986,   987,     0,   988,   989,
       0,     0,     0,     0,   382,  2148,  2149,     0,     0,     0,
       0,  2512,     0,     0,     0,  2519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   383,     0,
       0,     0,   384,     0,     0,     0,  2151,     0,     0,     0,
       0,     0,     0,     0,     0,   195,     0,   594,   595,   596,
     597,   598,     0,     0,  2279,     0,     0,     0,  2280,  2281,
       0,     0,  2282,  2283,   599,   600,   601,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,     0,     0,
     385,     0,     0,     0,     0,     0,     0,     0,     0,  2284,
    2592,     0,     0,  2285,     0,     0,     0,     0,  2286,     0,
       0,  2287,     0,     0,     0,     0,     0,  2288,    20,    21,
    2601,     0,  2289,     0,     0,   196,     0,  2604,     0,     0,
    2606,     0,     0,     0,     0,     0,     0,  2609,  2610,     0,
       0,  2612,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   499,  2630,     0,     0,     0,  2634,     0,  2636,   207,
     208,     0,     0,     0,  2290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2642,  2643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2646,   209,
       0,  2291,     0,     0,     0,  2651,     0,  2652,  2653,  2654,
       0,     0,     0,     0,   210,   330,   331,   332,   333,   334,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,     0,   211,   212,   213,   214,     0,  2292,     0,
       0,  2293,  2294,  2295,     0,     0,     0,     0,     0,  2296,
       0,     0,     0,     0,  2297,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2298,     0,     0,     0,     0,     0,
    2299,     0,  2686,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2691,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2698,
       0,     0,     0,     0,     0,   160,     0,   161,   162,   163,
     164,   165,   166,     0,   167,   215,   216,     0,     0,     0,
       0,     0,   168,   169,  1589,     0,     0,   170,     0,     0,
       0,   217,   218,     0,     0,     0,     0,     0,     0,   171,
     172,   173,   174,     0,     0,   175,     0,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,  1031,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   547,
     874,   875,   876,     0,   247,   248,     0,   249,   176,   177,
    2300,     0,     0,   250,   178,   179,     0,   180,   181,   182,
     183,   184,   185,   186,   187,   188,     0,     0,     0,   171,
       0,   173,   174,     0,   189,   190,   191,     0,     0,   192,
     594,   595,   596,   597,   598,     0,     0,   193,     0,     0,
       0,     0,     0,     0,     0,   194,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1032,  1033,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1034,   854,     0,
       0,   195,  1967,     0,     0,     0,     0,     0,     0,  1035,
       0,     0,     0,  1036,     0,     0,  1037,  1038,     0,     0,
       0,  1039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1040,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1041,  1042,  1043,     0,     0,  1044,  1045,
    1046,   196,     0,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   207,   208,   160,     0,   161,
     162,   163,   164,   165,   166,     0,   167,     0,     0,     0,
       0,     0,     0,     0,   168,   169,  2025,     0,     0,   170,
       0,     0,     0,     0,   196,   209,     0,     0,     0,     0,
       0,   171,   172,   173,   174,     0,     0,   175,     0,     0,
     210,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,     0,     0,     0,     0,     0,   207,   208,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,     0,     0,     0,   178,   179,   209,   180,
     181,   182,   183,   184,   185,   186,   187,   188,     0,     0,
       0,     0,     0,   210,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,   211,   212,   213,   214,     0,   194,     0,     0,
       0,   215,   216,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,   218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   195,   215,   216,     0,     0,     0,     0,
     247,   248,     0,   249,     0,     0,     0,     0,     0,   250,
     217,   218,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   247,   248,     0,     0,     0,     0,     0,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   207,   208,   160,
       0,   161,   162,   163,   164,   165,   166,     0,   167,     0,
       0,     0,     0,     0,     0,     0,   168,   169,  2030,     0,
       0,   170,     0,     0,     0,     0,     0,   209,     0,     0,
       0,     0,     0,   171,   172,   173,   174,     0,     0,   175,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,     0,     0,     0,   178,   179,
       0,   180,   181,   182,   183,   184,   185,   186,   187,   188,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,     0,     0,     0,
       0,   193,     0,     0,     0,     0,     0,     0,     0,   194,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
     218,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,     0,     0,     0,     0,
       0,     0,   247,   248,     0,   249,     0,     0,     0,     0,
       0,   250,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   207,
     208,   160,     0,   161,   162,   163,   164,   165,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,   168,   169,
    2032,     0,     0,   170,     0,     0,     0,     0,     0,   209,
       0,     0,     0,     0,     0,   171,   172,   173,   174,     0,
       0,   175,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   176,   177,     0,     0,     0,     0,
     178,   179,     0,   180,   181,   182,   183,   184,   185,   186,
     187,   188,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,     0,
       0,     0,     0,   193,     0,     0,     0,     0,     0,     0,
       0,   194,     0,     0,     0,   215,   216,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,   218,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   195,     0,     0,
       0,     0,     0,     0,   247,   248,     0,   249,     0,     0,
       0,     0,     0,   250,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   207,   208,   160,     0,   161,   162,   163,   164,   165,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
     168,   169,     0,     0,     0,   170,     0,     0,     0,     0,
       0,   209,     0,     0,     0,     0,     0,   171,   172,   173,
     174,     0,     0,   175,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   176,   177,     0,     0,
       0,     0,   178,   179,     0,   180,   181,   182,   183,   184,
     185,   186,   187,   188,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,     0,     0,     0,     0,   193,     0,     0,     0,     0,
       0,     0,     0,   194,     0,     0,     0,   215,   216,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,   218,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
       0,     0,     0,     0,     0,     0,   247,   248,     0,   249,
       0,     0,     0,     0,     0,   250,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
    1543,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,     0,     0,   172,     0,
       0,     0,     0,   175,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,   208,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,     0,     0,     0,  1551,
       0,     0,  1552,  1553,     0,     0,     0,     0,   210,     0,
       0,     0,   178,   179,     0,   180,   181,   182,   183,   184,
     185,   186,   187,     0,     0,     0,     0,   211,   212,   213,
     214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1554,
       0,  1555,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   215,
     216,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,   218,     0,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   247,   248,
       0,   249,     0,     0,     0,     0,     0,   250,     0,   196,
       0,  1543,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,     0,     0,     0,   172,
       0,     0,     0,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,   207,   208,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   209,   339,   340,   341,   342,   343,   344,
    1551,     0,     0,  1552,  1553,     0,     0,     0,   210,     0,
       0,     0,     0,   178,   179,     0,   180,   181,   182,   183,
     184,   185,   186,   187,     0,     0,     0,   211,   212,   213,
     214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1554,     0,  1555,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   215,
     216,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,   218,     0,     0,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   247,   248,
       0,     0,     0,     0,  1556,  1557,     0,     0,     0,  1543,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   172,     0,     0,
       0,     0,   175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   207,   208,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,  1551,     0,
       0,  1552,  1553,     0,     0,     0,     0,     0,     0,   210,
       0,   178,   179,     0,   180,   181,   182,   183,   184,   185,
     186,   187,     0,  2096,     0,     0,     0,     0,   211,   212,
     213,   214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1554,     0,
    1555,   172,     0,     0,     0,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,     0,     0,     0,   178,   179,     0,   180,   181,
     182,   183,   184,   185,   186,   187,   217,   218,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   247,
     248,     0,     0,     0,     0,  1556,     0,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,     0,     0,     0,     0,     0,
       0,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,     0,     0,     0,   211,   212,   213,   214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   207,   208,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,   218,     0,     0,     0,     0,
     211,   212,   213,   214,     0,     0,     0,     0,     0,     0,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   247,   248,     0,
       0,     0,     0,  1556,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,     0,     0,
       0,     0,   215,   216,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,   218,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   410,
       0,     0,     0,     0,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   411,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   247,   248,     0,     0,     0,     0,     0,     0,   412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   391,     0,     0,     0,     0,   392,   393,     0,   413,
     414,     0,     0,     0,   395,   415,     0,     0,     0,     0,
     416,   417,   418,   419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,     0,     0,   421,     0,   422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   396,
       0,     0,   397,     0,     0,     0,     0,     0,     0,     0,
       0,   423,     0,     0,     0,   424,     0,     0,     0,     0,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,     0,   430,
       0,     0,     0,   431,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,     0,   434,   435,     0,     0,   436,   437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,     0,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,   443,     0,
       0,     0,   444,     0,     0,   445,   446,     0,   447,     0,
     448,     0,     0,     0,   449,   450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   451,     0,     0,     0,
       0,     0,     0,     0,   452,   453,     0,     0,     0,     0,
       0,     0,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   455
};

static const yytype_int16 yycheck[] =
{
     102,   368,     7,   429,   430,    88,   165,   250,   165,    81,
     250,   464,   160,    85,    86,  1247,   280,   559,  1247,  1247,
    1247,   736,   494,   139,   133,   300,   784,    25,   137,   283,
     139,   634,   141,   149,   150,    22,    39,     7,    45,   788,
     149,   150,    61,  1279,  1280,  1281,  1282,   156,   534,     7,
     536,   537,   634,     7,   540,   541,     7,     7,     7,     7,
     314,   161,    82,   354,    15,   248,  2249,    11,    12,    20,
      11,    12,   675,  1508,     6,    15,   367,   368,    47,    30,
      20,    32,    87,    15,    16,    17,    18,  2092,   352,   353,
     128,   250,   130,   250,   132,    18,   134,    20,   136,   166,
     138,    39,    15,  1545,   142,   475,   144,    20,   146,     3,
     148,   481,    34,    30,    31,   162,   154,   155,  1560,    47,
    1349,  1349,  1349,     3,    39,    38,    39,    40,    41,   393,
    2092,    47,     8,     9,    10,    11,    12,   428,    15,    17,
      18,    22,    20,    20,   239,    47,   122,  2210,   122,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   161,   450,
      36,    38,    39,    40,    41,   170,    31,  1049,     8,     9,
      10,    11,    12,   473,    47,     3,   467,   304,    17,    18,
     307,    20,    20,  2092,    22,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    17,    18,    36,    20,    45,    17,
      18,   492,    20,     4,    25,   575,    33,     3,     8,     9,
      10,    11,    12,    17,    18,    36,    20,   238,   120,   314,
    1794,    48,     0,   161,   515,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   241,   302,    36,     8,     9,    10,
      11,    12,   376,   137,   249,     3,   161,    15,    16,    17,
      18,    19,    20,     3,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   365,   313,    36,   136,     8,     9,    10,
      11,    12,    15,   345,    17,   575,   326,    20,    15,   144,
     733,   415,  1034,    20,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   395,   396,    36,   539,   369,   196,   197,
     347,    38,    39,    40,    41,    48,   440,    17,    18,   306,
      20,     8,     9,    10,    11,    12,   313,   215,   501,   421,
    2383,    15,    16,    17,    18,   867,   752,  1079,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    15,   880,    36,
     707,   362,    20,    15,    15,    16,    17,    18,    20,   145,
     146,   232,    15,    16,    17,    18,    19,    20,    30,   281,
      32,   238,   637,   638,   639,   640,   641,    20,   643,   644,
     390,   646,   647,   169,   649,   650,   278,  2382,    15,    15,
      17,  1096,  2565,    20,    20,    20,   534,    22,   536,   537,
     681,   360,   540,   541,   241,  1830,   446,   193,  1627,  1627,
    1627,   506,    38,    39,    40,    41,     8,     9,    10,    48,
      15,   460,    15,    15,    15,    20,   707,    20,    20,    20,
    2382,   712,    15,    25,    26,    27,   717,    20,   719,  1311,
    1312,   917,   360,    38,    39,    40,    41,    38,    39,    40,
      41,   269,    15,    15,   360,    15,    39,    20,    20,    31,
      20,  1033,    15,    16,    17,    18,    19,    20,   884,   238,
     886,     8,     9,    10,    11,    12,   757,   758,    38,    39,
      40,    41,    15,  2382,   574,   842,   843,    20,    25,    26,
      27,    28,    29,    30,    31,    32,    33,   360,    48,    36,
     466,  1240,   511,     3,     8,     9,    10,    11,    12,   475,
     791,   475,   380,   794,   106,   107,   243,   244,    20,   357,
     163,    25,    26,    27,    28,    29,    30,    31,    32,    33,
    1962,  2095,    36,   393,  2098,     3,    15,    37,   861,   634,
     494,    20,   865,   538,   372,   185,   431,    47,  1080,    49,
      50,   832,   437,   466,   784,    15,   551,    20,    21,   397,
      20,   842,   843,   271,   193,   560,   561,   562,   563,   564,
     565,  1788,   144,   570,   636,    75,   857,  1796,  1796,  1796,
     861,   574,   577,   571,   865,   477,   181,    15,    16,    17,
      18,    19,    20,   362,   142,   143,   360,   574,   552,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   573,  1207,  1841,   897,  1843,    48,   900,
    1846,   166,  1848,  1849,   572,   573,   252,   908,   572,    92,
     571,   274,   572,   572,   572,   784,   577,   784,   579,   573,
     570,   571,   573,   193,     3,   145,   574,   147,   148,   571,
     150,   213,   152,   575,   154,   419,   156,   157,   158,   161,
     160,   252,     8,     9,    10,    11,    12,   574,   571,   574,
     370,   574,   560,   173,   174,   175,   176,   177,   178,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   683,   571,
      36,   359,     8,     9,    10,    11,    12,  2478,    15,   694,
     728,   249,   250,    20,   571,   253,   701,   574,   574,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   951,   952,
      36,   198,  2281,   815,   954,   225,   875,    20,   875,   355,
     571,   231,  1474,   570,   213,    15,   155,   237,   238,   284,
      20,  1184,   572,   573,  1492,  1967,   575,    82,  1967,  1967,
    1967,   166,    15,    20,  1973,    22,  1973,    20,    38,    39,
      40,    41,   575,   193,   355,   166,    20,   575,     8,     9,
      10,    11,    12,   179,    22,    38,    39,    40,    41,   917,
     574,  1257,   572,   573,  1260,    25,    26,    27,    28,    29,
      30,    31,    32,    33,  2353,   438,    36,   274,   269,    45,
    1065,   202,  1067,   363,   364,   954,    15,   954,   185,   452,
     453,    20,   573,   571,  1058,  1059,  1060,  1061,  1062,  1063,
     578,   169,  1066,   573,  1068,   160,  1070,  1071,   578,    38,
      39,    40,    41,    63,    64,   249,    17,    18,   571,    20,
      15,    22,   573,  2624,   571,    20,  2627,    45,  1129,  1130,
     574,  1132,  1133,     8,     9,    10,    11,    12,    20,   854,
      22,    23,  1143,    38,    39,    40,    41,    33,   161,   284,
      25,    26,    27,    28,    29,    30,    31,    32,    33,  1160,
    1161,    36,   427,  1032,  1327,  1032,   573,   571,  1331,  1332,
      33,  1172,  1173,    20,   571,    22,  1177,  1178,   187,  1180,
      20,  1182,    22,   571,    15,   376,  2132,   161,   144,   571,
     571,  2137,   571,  2139,  1195,   577,  2142,   579,   571,  1200,
     574,    45,   241,   235,   549,   578,    32,    33,  1209,   196,
      36,   556,  1213,     8,     9,    10,    11,    12,  1033,    20,
      21,   474,    15,  1475,   571,   571,   941,    20,   943,   571,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    15,
     431,    36,  1243,   282,    20,    38,    39,    40,    41,  1385,
      17,  1252,   574,    20,   434,   435,   571,   570,   571,   571,
     571,    15,    38,    39,    40,    41,    20,  2209,   571,  1081,
    2209,  2209,  2209,   571,   475,   241,  1458,  2415,   317,   247,
     230,   482,  1094,   170,    38,    39,    40,    41,   571,   571,
     142,   571,   427,   571,  1106,   171,  1108,  1090,   571,   331,
     268,   310,  1128,  1728,    63,    64,   427,   575,  1127,  1128,
       8,     9,    10,    11,    12,   571,   573,   326,   571,    63,
      64,   168,   198,   241,   356,   334,   571,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    17,    18,    36,   226,
     192,   561,     8,     9,    10,    11,    12,   297,   571,   573,
     570,    20,    20,    22,    22,   355,    81,   405,   406,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   143,  1333,
      36,  1335,   571,    20,   575,    22,  1158,   310,   143,    17,
      18,   502,    20,    20,   575,    22,   238,    36,  1207,  1525,
     242,   571,   375,   245,   246,     3,   433,   241,   274,  1257,
     366,   367,  1260,    22,  1378,   338,   339,  1408,  1234,  1235,
    1236,  1375,    42,    43,    44,  1234,  1235,  1236,     8,     9,
      10,    11,    12,   571,   300,     3,   157,   122,    17,    18,
    1299,    20,  1299,  2571,  2572,    25,    26,    27,    28,    29,
      30,    31,    32,    33,  2582,  2583,    36,   376,   366,   367,
     573,   244,   507,   576,  2400,  1707,  2402,     3,  1710,     8,
       9,    10,    11,    12,    20,   160,    22,   104,  1469,   164,
     165,   230,   190,   191,   169,  1476,    25,    26,    27,    28,
      29,    30,    31,    32,    33,   180,   230,    36,    20,    21,
     244,     3,   161,   161,   189,   550,   551,   552,   553,   554,
     555,   166,     3,   221,   235,   236,   237,   573,     8,     9,
      10,    11,    12,   573,   161,  1516,    48,   573,   578,   575,
    1521,   239,   366,   367,   161,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   571,   200,    36,   573,   297,   154,
     317,   318,  1492,  2076,   159,   160,   288,   442,   163,  1264,
    1823,    48,   167,   297,  1347,  1270,  1829,  1272,  1273,  1274,
    1275,   162,  1639,  1564,    20,   283,    17,    18,  1350,    20,
    1285,   571,   173,   174,   292,  1738,  1291,     8,     9,    10,
      11,    12,  1524,    80,   309,  1527,   161,   224,   571,   557,
     558,   559,   329,   330,    25,    26,    27,    28,    29,    30,
      31,    32,    33,     3,   570,    36,   573,   222,  1685,    15,
     225,   578,   572,   338,     3,     9,    10,    11,    12,   284,
     285,    22,   347,  1492,    18,  1492,     8,     9,    10,    11,
      12,     3,  1648,  2166,   573,  1504,   575,  1638,  1639,  1508,
    1656,  2174,   571,    25,    26,    27,    28,    29,    30,    31,
      32,    33,   570,     3,    36,    45,   142,   143,   155,  1660,
       3,    51,    52,    53,    54,  1477,    56,    57,    58,   164,
     165,    61,  2205,    63,    64,   573,   571,   575,   279,    69,
      70,   485,   486,   487,  1685,  1686,     8,     9,    10,    11,
      12,   382,   383,   384,   385,   386,   193,   572,   416,   417,
     418,     3,   199,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     3,  1525,    36,     3,  2658,  2663,     3,  2658,
    2658,  2658,   219,   575,    17,    18,   570,    20,     3,  1730,
    1731,    20,     3,    22,  1735,     8,     9,    10,    11,    12,
    1756,  1742,   233,   234,  1745,   507,   508,  1763,   573,   494,
     575,   513,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   572,   573,    36,     8,     9,    10,    86,    25,  1770,
    2716,  1772,  1908,  1642,    20,  1642,    22,   572,   571,  1780,
      20,    25,    26,    27,  1861,  1862,     8,     9,    10,    11,
      12,   516,   517,   518,    18,   571,    20,    47,   570,    49,
      50,   572,   573,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    20,   575,    36,    43,    44,   571,   472,   473,
    1821,   570,   476,   477,   478,   573,  1827,   575,   239,  1544,
    1545,   570,  1547,   572,   145,   146,  1551,  1552,  1157,  1621,
    1159,  1623,   570,  2116,  2117,  1560,   492,   317,  1984,   319,
     161,  2124,  2125,    43,    44,   166,    20,   575,   169,   574,
    1861,  1862,   106,   107,    48,   145,   146,  1582,   574,  1584,
     181,    17,    18,   155,   572,     8,     9,    10,    11,    12,
     575,   161,    17,    18,   248,    20,   166,    22,   570,   169,
     284,   285,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   181,   574,    36,   154,   224,   572,   187,   570,   159,
     160,  2047,     8,     9,    10,    11,    12,   167,   254,   255,
     570,   575,   574,   173,   174,   175,   176,   177,   178,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   145,   146,
      36,    17,    18,    19,    20,     8,     9,    10,    11,    12,
     565,  1952,   572,   573,   161,   572,   573,  1824,   574,   166,
     575,  1830,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   574,   222,    36,   181,   225,   398,   399,   326,  2056,
    2057,  2058,   572,   243,   244,   235,   202,   203,   204,   205,
     206,     8,     9,    10,    11,    12,   570,   247,    22,  1792,
     315,  2002,    59,    60,     3,    11,    12,  2008,    25,    26,
      27,    28,    29,    30,    31,    32,    33,   572,   573,    36,
     361,    20,    45,   572,   185,     8,     9,    10,    11,    12,
     248,    54,    17,    18,    19,    20,    59,   202,   203,   204,
     205,   206,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   572,   573,    36,   287,  2056,  2057,  2058,   145,   146,
      59,   252,    47,   382,    49,    50,  2067,   252,  1880,  1784,
     304,   390,   572,   392,   161,   394,  2153,   290,   397,   166,
      45,   243,   244,  1798,   313,  1800,    51,    52,    53,    54,
     329,    56,    57,    58,   181,   345,    61,  1879,    63,    64,
     187,   190,   191,   156,    69,    70,  2007,   342,  2109,  2010,
     335,  2112,   290,  2114,   290,  2016,  2017,  1832,   183,   184,
     185,   186,   348,  2073,  2074,   355,     8,     9,    10,    11,
      12,   202,   203,   163,   371,   170,   171,   172,   168,  2092,
     350,   572,   138,    25,    26,    27,    28,    29,    30,    31,
      32,    33,  2153,  2154,    36,   154,   294,   295,   181,   194,
     195,   287,   392,   198,   202,   203,  2665,   190,   191,  2668,
    2669,   133,   134,   173,   174,   137,    65,    66,    67,    68,
    2181,  2680,   144,   145,  2185,   575,  2187,  2188,  1970,  2190,
     572,   570,   422,    80,  2236,  2237,   574,   427,   221,   381,
     570,   574,   451,   574,  2073,  2074,  2073,  2074,  2707,  2708,
     185,   441,   154,  2712,  2713,   155,   367,   360,   570,   449,
     243,   244,    15,  2359,   247,   574,    15,   574,   570,    20,
    2231,   570,  2233,  2234,  2235,   465,   200,   201,   468,   269,
     181,   471,   223,   207,   208,   209,   210,  1962,   169,   248,
     572,   481,   570,   570,   574,   248,   169,  1972,   574,   185,
     283,   574,   574,  2264,   570,   570,  2267,   154,   291,   292,
     293,  2272,   159,   160,   574,   354,   163,   169,  2279,   252,
     167,   252,   243,   570,   570,    14,   570,  2288,  2289,   519,
    2291,   521,  2293,   574,  2295,   574,  2297,    15,    15,   572,
      33,    31,    30,  2304,    36,    15,     3,   573,     7,    15,
      15,   310,     3,   145,     3,  2316,  2317,     3,     3,  2320,
    2321,     3,  2037,    20,    21,   575,     3,  2404,  2405,     3,
       3,  2408,     3,     3,     3,   222,     3,   367,   225,   171,
       3,  2342,     3,   371,   571,  2346,   252,   570,  2160,  2350,
     572,     8,     9,    10,    11,    12,  2357,  2434,  2435,   573,
      20,   573,   194,   340,   196,  2366,   198,   570,    25,    26,
      27,    28,    29,    30,    31,    32,    33,   570,    75,    36,
     252,   252,   252,   413,   570,   226,   574,  2102,  2103,  2104,
     389,  2106,   279,   280,    34,   570,   570,   570,   570,   286,
     430,   570,   432,  2404,  2405,   252,   436,  2408,   252,   252,
     440,   441,   411,  2414,   419,   420,   421,   422,   423,   424,
     425,   426,   252,  2424,  2425,  2426,  2427,  2428,  2381,  2382,
     155,   570,   368,  2434,  2435,   241,   570,   241,   570,   572,
     272,   273,   274,   275,   443,  2446,  2447,  2448,   145,  2585,
    2586,    15,  2529,    15,   181,    20,   309,  2326,   570,   296,
     157,   158,   188,  2464,  2465,    15,    48,  2603,    15,  2470,
      31,   573,   169,   573,    15,   241,   572,   241,   144,   571,
    2481,     3,    20,    20,  2485,   169,   169,  2488,  2489,     3,
     142,     3,  2493,  2494,   572,    20,   570,   570,  2213,    22,
    2501,   570,    31,   573,   570,   185,   570,  2222,   570,   572,
     570,   741,  2513,  2514,  2515,   252,   570,   182,   570,   570,
     570,   570,   570,   570,   570,  2526,   570,   570,  2529,  2530,
     570,   570,  2533,  2534,   570,    15,   570,   570,   190,   191,
     192,   771,   772,   570,   774,   575,    47,   181,   570,   570,
     570,   570,   575,    18,   570,   572,   570,  2558,  2559,   570,
     790,   570,   570,  2375,   574,    31,   796,   570,   798,   221,
     800,   801,    31,   803,   804,   805,   806,   807,   808,   573,
      15,   811,    15,   813,    20,     3,     3,   817,   818,   572,
     242,     3,     3,   245,   246,   825,   826,     3,     3,   829,
      15,     3,     3,   833,     3,     3,   572,   251,   251,    22,
     575,   570,   570,   573,   570,  2616,   570,  2618,  2619,   287,
     154,   573,   570,   570,   570,  2626,   570,   570,   185,   169,
     354,   283,  2633,   570,   298,   570,   866,   570,    13,   570,
      15,    16,    17,    18,    19,    20,   570,    22,   570,   879,
     570,   570,   570,   570,   570,    30,    31,    32,   570,   570,
      35,   361,   337,   169,   894,    54,   896,   570,   570,   133,
     248,  2386,    47,    48,    49,    50,   570,   444,    53,     8,
       9,    10,    11,    12,   171,   570,   570,   187,   575,   143,
     572,     8,     9,    10,    11,    12,    25,    26,    27,    28,
      29,    30,    31,    32,    33,   570,    33,    36,    25,    26,
      27,    28,    29,    30,    31,    32,    33,   571,   570,    36,
     571,   571,    25,    33,    31,   573,    15,   573,    18,     3,
       3,   106,   107,   108,   109,   110,   111,   112,   113,   575,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   570,
      15,   574,   155,   252,   252,   181,   570,   132,   133,   134,
     396,   400,   137,     8,     9,    10,    11,    12,   395,   570,
     145,   570,   244,   570,   298,   311,   574,   181,   153,   574,
      25,    26,    27,    28,    29,    30,    31,    32,    33,   574,
     574,    36,     8,     9,    10,    11,    12,   574,    45,    63,
      15,   570,   570,   575,    15,   570,     8,     9,    10,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    31,    55,
      36,    62,   570,    25,    26,    27,    28,    29,    30,    31,
      32,    33,  2547,    32,    36,    35,   570,    32,     8,     9,
      10,    11,    12,  2655,  2656,     7,    25,   391,    45,   572,
      47,   282,    49,    50,   229,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   575,   574,    36,   570,   245,   245,
     389,   245,   272,   185,   252,   104,    47,   572,    49,    50,
      83,    84,    85,    86,    87,    88,    89,    90,    91,   570,
      93,    94,    95,    96,    97,    98,   574,     7,   574,    71,
     279,    33,   574,   101,    15,    32,    32,  1137,  1138,     7,
     244,   570,   574,   571,   570,   572,   571,  1147,   571,  1149,
     571,   570,   572,   575,   299,   573,   572,   572,   313,   571,
     475,    46,    47,   574,    49,    50,   574,   572,   570,   572,
     570,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   570,   570,     7,   475,   572,   572,   154,    47,   573,
      49,    50,   159,   160,  1194,   572,   572,   572,   343,   344,
     167,   573,  1202,   571,   245,   572,   173,   174,   175,   176,
     177,   178,   245,   154,   245,   298,   200,   296,   159,   160,
     248,   245,   163,   245,   570,   296,   167,    86,   373,  1229,
     248,   448,   173,   174,   175,   176,   177,   178,   574,   350,
     419,   421,   120,   388,  1244,  1245,   313,   570,   570,   460,
     460,   467,   465,   298,   252,   222,   470,   282,   225,   282,
      22,   570,   407,   408,   409,   410,   296,   570,   570,   154,
     252,   120,   350,   252,   159,   160,   252,   252,   498,   500,
     570,   222,   167,   510,   225,   504,   509,   570,   173,   174,
     175,   176,   177,   178,    33,   154,   570,   570,   570,    33,
     159,   160,    22,   570,   163,   570,   570,   303,   167,   575,
     449,   245,   575,   252,   173,   174,   175,   176,   177,   178,
     484,    47,   245,    49,    50,   252,   462,   181,   191,   191,
     105,   572,   145,   146,   573,   433,   428,   222,   570,   306,
     225,   154,   570,   433,   489,   490,   159,   160,   570,  1536,
    2113,  1576,   570,   238,   167,   570,   169,  1032,    45,  1576,
     505,   506,    86,   222,   573,   572,   225,  1032,   570,  1369,
    1370,   570,   339,   340,  1032,   570,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   570,   570,  1827,  1407,  1576,   222,
    1576,  1829,   225,  2114,  2112,  1828,   558,  1224,   142,   143,
    1348,  1796,  1627,   568,   569,   951,   571,  2381,   154,   249,
     952,     3,   577,   159,   160,  2382,     8,     9,    10,    11,
      12,   167,   255,   539,   168,   954,   141,   173,   174,   175,
     176,   177,   178,    25,    26,    27,    28,    29,    30,    31,
      32,    33,   475,  1205,    36,  1465,   837,  1467,  1468,  1376,
    1470,   570,  2565,    13,  2584,    15,    16,    17,    18,    19,
      20,  1292,    22,   570,  1384,  2042,   629,  1487,  1876,  1489,
      30,    31,  1294,  1171,  1494,    35,   222,  1894,   439,   225,
    1933,  1907,  2070,   190,   191,   192,  2486,    47,    48,    49,
      50,   235,   238,    53,  2326,  1515,  2343,  2499,  2497,  2347,
      47,  1776,    49,    50,   248,  2346,   411,   412,   413,   414,
     891,  1111,    -1,  1074,   221,    -1,    -1,   678,    -1,    -1,
     507,    -1,    -1,    -1,    -1,   512,    -1,   514,    -1,    -1,
      -1,    -1,   493,    -1,   439,   570,   243,   244,    -1,   444,
     247,    -1,   447,    -1,   290,   450,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   570,    -1,    -1,    -1,    -1,   402,
     403,   278,   132,   133,   134,    -1,   283,   137,    -1,    -1,
      20,   574,    -1,   290,    -1,   145,   293,    -1,   575,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
     479,   480,    -1,    -1,   483,    -1,    -1,   154,    -1,   488,
     570,    -1,   159,   160,   575,    -1,    -1,    -1,    -1,   326,
     167,    -1,    -1,    -1,    -1,    -1,   173,   174,   175,   176,
     177,   178,    -1,    -1,  1654,    -1,    -1,    -1,    -1,    -1,
     187,    -1,   349,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,    -1,  1682,    -1,    -1,    -1,    -1,    -1,    -1,   229,
     575,    -1,    -1,    -1,    -1,   222,    -1,    -1,   225,    -1,
      -1,    -1,    -1,  1703,  1704,  1705,    -1,    -1,  1708,    -1,
      -1,    -1,    -1,    -1,    -1,    47,   575,    49,    50,    -1,
      -1,   447,    -1,    -1,    -1,    -1,    -1,   254,    -1,   416,
      -1,    -1,  1732,    -1,    -1,    -1,    -1,   461,    -1,   463,
     464,    -1,    -1,    -1,   468,   469,    -1,   471,   275,    -1,
      -1,    -1,   439,    -1,    -1,   479,   480,    -1,    -1,   299,
      -1,  1761,   575,    -1,    -1,    -1,    -1,    -1,    -1,    47,
     457,    49,    50,    -1,    -1,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   519,   520,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,   343,   344,    -1,    -1,   494,   495,   496,
     497,    -1,   499,    -1,    -1,    -1,   503,    -1,    -1,    -1,
      -1,    -1,   154,    -1,    -1,    -1,    -1,   159,   160,    -1,
      -1,   163,    -1,   373,    -1,   167,    -1,    -1,   564,   565,
     566,   173,   174,   175,   176,   177,   178,    -1,   388,   575,
      -1,   575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,   407,   408,   409,
     410,   196,    -1,   198,    -1,   133,   154,    -1,    -1,    -1,
      -1,   159,   160,    -1,  1884,   163,    -1,    -1,   575,   167,
     222,    -1,    -1,   225,    -1,   173,   174,   175,   176,   177,
     178,    -1,   160,   228,    -1,    -1,   164,   165,    -1,    -1,
     235,   169,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,  1924,  1925,    -1,    -1,   455,   456,
     457,   189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   222,   270,    -1,   225,    -1,   489,
     490,    -1,    -1,   278,  1954,    -1,    -1,    -1,    72,    73,
      74,    -1,    -1,    -1,   289,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
     238,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    47,    -1,    49,
      50,    -1,    -1,   301,    -1,    -1,    -1,    -1,   568,   569,
      -1,   571,    -1,   147,     8,     9,    10,   577,   122,    -1,
      -1,    -1,   189,    -1,    -1,    -1,   160,    -1,   575,    -1,
      -1,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      -1,    -1,    36,    -1,    -1,    -1,  2066,    -1,    -1,    -1,
     154,   185,   186,   220,    -1,   159,   160,    -1,   336,   404,
     164,   165,    -1,   167,    -1,   169,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,   352,    -1,   180,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    -1,   189,    -1,   365,    -1,   223,
      -1,   225,    -1,   227,    -1,    -1,   374,    -1,   376,    -1,
      -1,   379,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,   225,   289,   173,   174,   175,   176,   177,   178,    -1,
    2150,    -1,    -1,   267,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,   276,   277,  2164,    -1,   491,    -1,    -1,    13,
      -1,    15,    16,    17,    18,    19,    20,    -1,    22,    -1,
    2180,    -1,  2182,    -1,    -1,    -1,    30,    31,    32,    -1,
     515,    35,    -1,    -1,    -1,    -1,  2196,  2197,  2198,    -1,
      -1,    -1,    -1,    47,    48,    49,    50,    -1,    -1,    53,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,    -1,    -1,    -1,
      -1,    -1,    -1,   575,    -1,    -1,    -1,    51,    52,    -1,
      -1,    -1,    -1,    -1,   401,    59,    -1,   404,    -1,    -1,
      -1,    -1,   106,   107,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,    85,    -1,    87,    -1,  2285,    -1,   401,   132,   133,
     134,    -1,  2292,   137,    -1,    -1,    -1,   575,   382,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,   454,    -1,   153,
     114,   458,   459,    -1,    -1,    -1,    -1,   575,    -1,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,    -1,
      -1,    -1,    -1,  2333,   138,   139,   140,    -1,   142,   143,
      -1,    -1,    -1,    -1,   491,   190,   191,    -1,    -1,    -1,
      -1,  2351,    -1,    -1,    -1,  2355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,
      -1,    -1,   519,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   229,    -1,     8,     9,    10,
      11,    12,    -1,    -1,   239,    -1,    -1,    -1,   243,   244,
      -1,    -1,   247,   248,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    -1,    -1,    36,    -1,    -1,    -1,    -1,
     567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,
    2430,    -1,    -1,   278,    -1,    -1,    -1,    -1,   283,    -1,
      -1,   286,    -1,    -1,    -1,    -1,    -1,   292,   562,   563,
    2450,    -1,   297,    -1,    -1,   299,    -1,  2457,    -1,    -1,
    2460,    -1,    -1,    -1,    -1,    -1,    -1,  2467,  2468,    -1,
      -1,  2471,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   575,  2492,    -1,    -1,    -1,  2496,    -1,  2498,   343,
     344,    -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2517,  2518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2528,   373,
      -1,   376,    -1,    -1,    -1,  2535,    -1,  2537,  2538,  2539,
      -1,    -1,    -1,    -1,   388,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   407,   408,   409,   410,    -1,   413,    -1,
      -1,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,
     445,    -1,  2602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2613,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2629,
      -1,    -1,    -1,    -1,    -1,    13,    -1,    15,    16,    17,
      18,    19,    20,    -1,    22,   489,   490,    -1,    -1,    -1,
      -1,    -1,    30,    31,    32,    -1,    -1,    35,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      48,    49,    50,    -1,    -1,    53,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,   568,   569,    -1,   571,   106,   107,
     575,    -1,    -1,   577,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,    -1,    -1,    47,
      -1,    49,    50,    -1,   132,   133,   134,    -1,    -1,   137,
       8,     9,    10,    11,    12,    -1,    -1,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,   146,    -1,
      -1,   229,   100,    -1,    -1,    -1,    -1,    -1,    -1,   157,
      -1,    -1,    -1,   161,    -1,    -1,   164,   165,    -1,    -1,
      -1,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   299,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,   344,    13,    -1,    15,
      16,    17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    30,    31,    32,    -1,    -1,    35,
      -1,    -1,    -1,    -1,   299,   373,    -1,    -1,    -1,    -1,
      -1,    47,    48,    49,    50,    -1,    -1,    53,    -1,    -1,
     388,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
     408,   409,   410,    -1,    -1,    -1,    -1,    -1,   343,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,   107,    -1,    -1,    -1,    -1,   112,   113,   373,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,   388,    -1,    -1,   132,   133,   134,    -1,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,    -1,   407,   408,   409,   410,    -1,   153,    -1,    -1,
      -1,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   229,   489,   490,    -1,    -1,    -1,    -1,
     568,   569,    -1,   571,    -1,    -1,    -1,    -1,    -1,   577,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   568,   569,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,   344,    13,
      -1,    15,    16,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    30,    31,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,
      -1,    -1,    -1,    47,    48,    49,    50,    -1,    -1,    53,
      -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,   408,   409,   410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   106,   107,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,   133,
     134,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,   489,   490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,
      -1,    -1,   568,   569,    -1,   571,    -1,    -1,    -1,    -1,
      -1,   577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
     344,    13,    -1,    15,    16,    17,    18,    19,    20,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,
      32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,   373,
      -1,    -1,    -1,    -1,    -1,    47,    48,    49,    50,    -1,
      -1,    53,    -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,   410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,   107,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     132,   133,   134,    -1,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,   489,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,    -1,   568,   569,    -1,   571,    -1,    -1,
      -1,    -1,    -1,   577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   343,   344,    13,    -1,    15,    16,    17,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      30,    31,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,   373,    -1,    -1,    -1,    -1,    -1,    47,    48,    49,
      50,    -1,    -1,    53,    -1,    -1,   388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   408,   409,   410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,   107,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   132,   133,   134,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,   489,   490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,    -1,   568,   569,    -1,   571,
      -1,    -1,    -1,    -1,    -1,   577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,    48,    -1,
      -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   343,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,    99,
      -1,    -1,   102,   103,    -1,    -1,    -1,    -1,   388,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,    -1,    -1,    -1,   407,   408,   409,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,
      -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,   569,
      -1,   571,    -1,    -1,    -1,    -1,    -1,   577,    -1,   299,
      -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,    -1,    48,
      -1,    -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   343,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,   373,    93,    94,    95,    96,    97,    98,
      99,    -1,    -1,   102,   103,    -1,    -1,    -1,   388,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,    -1,    -1,   407,   408,   409,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,   569,
      -1,    -1,    -1,    -1,   574,   575,    -1,    -1,    -1,    20,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    48,    -1,    -1,
      -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    99,    -1,
      -1,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,   388,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,    20,    -1,    -1,    -1,    -1,   407,   408,
     409,   410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,
     151,    48,    -1,    -1,    -1,    -1,    53,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   505,   506,   229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,
     569,    -1,    -1,    -1,    -1,   574,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   343,   344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   299,    -1,    -1,    -1,   407,   408,   409,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   343,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
      -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,    -1,
     407,   408,   409,   410,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,   569,    -1,
      -1,    -1,    -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    82,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   568,   569,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,    -1,   159,   160,    -1,   162,
     163,    -1,    -1,    -1,   167,   168,    -1,    -1,    -1,    -1,
     173,   174,   175,   176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   186,    -1,    -1,    -1,   190,    -1,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   277,   278,   279,   280,    -1,   282,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   304,   305,    -1,   307,   308,    -1,    -1,   311,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   327,   328,    -1,    -1,    -1,   332,
     333,   334,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,
      -1,    -1,   345,    -1,    -1,   348,   349,    -1,   351,    -1,
     353,    -1,    -1,    -1,   357,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,   378,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   575
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   581,   582,    72,    73,    74,   147,   160,   185,
     186,   223,   225,   227,   238,   267,   271,   276,   277,   401,
     562,   563,   638,   639,   640,   641,   763,   764,   765,   766,
     768,   769,   770,   777,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   792,   793,   794,   795,   796,
     797,   798,   800,   801,   823,   834,   835,   836,   837,   861,
     899,   900,   901,   902,   903,   904,   905,   906,   961,   962,
     985,   998,   999,  1000,  1001,  1002,  1003,  1004,  1005,     0,
       3,    37,    47,    49,    50,    75,   145,   147,   148,   150,
     152,   154,   156,   157,   158,   160,   173,   174,   175,   176,
     177,   178,   225,   231,   237,   238,   561,   570,   583,   584,
     642,   644,   645,   646,   647,   657,   702,   704,   705,   706,
     707,   708,   713,   727,   730,   740,   741,   742,   805,   808,
     824,   827,   838,   845,   857,   860,   864,   865,   908,   909,
     911,   913,   914,   919,   950,   953,   963,   964,   976,   977,
     986,   989,   996,   997,  1008,  1011,  1012,     3,     3,     3,
      13,    15,    16,    17,    18,    19,    20,    22,    30,    31,
      35,    47,    48,    49,    50,    53,   106,   107,   112,   113,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   132,
     133,   134,   137,   145,   153,   229,   299,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   343,   344,   373,
     388,   407,   408,   409,   410,   489,   490,   505,   506,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   568,   569,   571,
     577,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   635,   636,   637,   666,   682,   684,   685,
     687,   688,   689,   690,   804,    20,    22,   161,   776,   799,
     802,    20,   802,   802,   104,   224,   802,   802,     3,   185,
     196,   198,   228,   235,   268,   270,   278,   289,   404,   491,
     515,   145,   171,   194,   196,   198,   272,   273,   274,   275,
      39,   161,   574,   790,   802,   271,    22,   247,   268,   557,
     558,   559,  1006,     3,    20,    21,   587,   587,   587,   690,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    93,
      94,    95,    96,    97,    98,   648,   571,   571,   155,    20,
      22,   612,   196,   197,   215,   560,   179,   196,   612,   157,
     235,   236,   237,   728,   729,   988,   185,   494,   552,   169,
     249,   709,   162,   189,   220,   278,   289,   401,   404,   454,
     458,   459,   491,   515,   519,   567,   863,   949,    48,   587,
     714,   154,   159,   160,   163,   167,   222,   225,   247,   575,
     706,   715,   716,   722,   744,   714,   714,   714,    49,    50,
      82,   115,   142,   162,   163,   168,   173,   174,   175,   176,
     186,   190,   192,   234,   238,   247,   277,   278,   279,   280,
     282,   286,   304,   305,   307,   308,   311,   312,   327,   328,
     332,   333,   334,   341,   345,   348,   349,   351,   353,   357,
     358,   369,   377,   378,   387,   575,   715,   848,   849,   856,
     714,   714,    46,   238,   411,   412,   413,   414,   439,   444,
     447,   450,   575,   706,   715,   867,   868,   869,   870,   871,
     714,   187,   254,   275,   455,   456,   457,   575,   715,   722,
     910,   574,   122,   164,   165,   169,   180,   189,   382,   575,
     715,   717,   714,   714,   714,   714,   235,   247,   345,   575,
     715,   722,   980,   981,   238,   290,   447,   519,   520,   564,
     565,   566,   575,   715,   722,   987,  1010,   714,   714,   163,
     565,   575,   715,  1013,    15,    20,    30,    32,   571,   577,
     579,   681,   683,   688,    33,   591,    33,    17,    18,   592,
     593,   571,   144,    31,   144,   690,    15,   574,   574,   571,
     571,   571,   571,   571,   571,   571,   108,   109,   110,   111,
     671,   690,    15,    16,    18,    19,    20,   571,   578,   592,
     593,   600,   666,   667,   670,   672,   673,   674,   676,   678,
     679,   143,   143,     3,     8,     9,    10,    11,    12,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    36,    36,
      39,   161,   574,   745,     3,   745,    22,   613,   613,   802,
     802,     3,    39,   161,   574,   748,     3,    20,    22,   161,
     803,     3,   269,     3,   771,     3,   778,   288,   171,   198,
     274,   300,    20,   163,   274,   438,   452,   453,   767,   198,
     274,   767,   161,     3,     3,     3,     3,     3,     3,     3,
       3,    82,   160,   507,   550,   551,   552,   553,   554,   555,
     994,   995,    15,   791,   613,   862,  1006,     3,  1006,     3,
       3,   494,  1007,    25,   658,   643,    92,   587,    20,    20,
      15,    17,    20,    48,   571,   703,   570,   745,   745,    15,
      20,   571,   585,    38,    39,    40,    41,   181,   585,   588,
     748,   570,    22,   232,   570,   549,   556,   612,   992,   239,
     585,   586,   586,   587,   574,   712,   405,   406,   912,   492,
      20,    48,   574,   155,   588,   745,   743,   168,   612,   612,
     748,   248,   570,   574,   720,   570,   570,   574,   574,   574,
     239,   314,   326,   304,   307,   570,    22,   317,   318,    47,
     360,    47,   360,    47,   360,    47,   360,   315,   612,   588,
     361,   185,   248,   235,   331,   356,   238,   588,   846,   570,
     585,    17,    18,    20,   370,   589,   840,   380,   589,   839,
     287,   252,   306,   313,   252,   304,   290,   313,   329,   330,
     329,   156,   588,   335,   342,   290,   290,   350,   348,   241,
     282,   317,   588,   359,   585,   371,   138,   287,   381,   570,
     574,   854,   570,   574,   574,   451,   185,   703,   588,   154,
     585,   588,   155,   367,   588,   360,   866,   720,   570,   574,
     574,   588,   142,   143,    15,    48,   193,    15,   164,   165,
     570,   570,   585,   145,   146,   161,   166,   181,   187,   655,
     724,   181,   724,    20,   723,   181,   223,   169,   570,   570,
     574,   574,   574,   574,    18,    19,    20,   603,   607,   248,
     169,   570,   570,    81,   309,   338,   347,   516,   517,   518,
     978,   979,   574,   984,   185,   585,   354,   169,   243,   588,
     252,   588,   570,   570,   574,   574,  1014,  1018,   252,   570,
       7,   683,   683,   683,   690,    17,    18,   578,   676,   683,
     683,    14,    15,    15,    33,   686,   690,    30,    31,   144,
      31,   632,   632,   723,   690,   690,   690,   690,   690,   690,
      15,   573,   572,   573,    32,   669,   671,   690,    30,    31,
     574,     7,   573,   578,   573,   578,    15,    15,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,    51,    52,    59,    85,    87,   114,   124,   125,
     127,   128,   129,   130,   131,   138,   139,   140,   142,   143,
      47,    49,    50,   173,   174,   175,   176,   177,   178,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     775,   170,   171,   172,   194,   195,   198,   746,   747,     3,
       3,     3,     3,   170,   226,   749,   750,     3,   803,     3,
       3,     3,   103,   104,   145,   157,   161,   164,   165,   169,
     188,   211,   212,   213,   216,   217,   218,   607,   655,   774,
       3,    75,   145,   157,   158,   169,   587,   767,   767,   767,
     767,   767,   767,   767,   907,   161,   767,   161,   767,     3,
     767,   767,     3,     3,   573,   575,     3,     3,     3,   145,
     169,   193,   655,     3,  1007,   585,     3,   690,   571,   650,
     651,   652,   656,   570,   573,   573,   737,   738,   690,   570,
     690,   586,   570,   585,   233,   234,   371,   990,   585,   991,
     161,   574,   993,   585,    42,    43,    44,   711,   714,    20,
     703,   731,   734,   735,   588,   719,   721,   807,   826,   252,
     252,   589,   252,   252,   570,   585,   585,    82,   390,   570,
     570,   238,   362,   252,   355,   588,   588,   340,   588,   226,
     570,   570,   574,   762,   570,    20,   600,   606,    34,   590,
      45,   241,   366,   367,   570,   382,   383,   384,   385,   386,
     844,   590,    45,   241,   570,   588,   585,   252,   252,   585,
     252,   588,   252,   588,   155,   588,   588,   570,   588,   588,
     588,   588,   588,   588,   368,   241,   588,   570,   588,   570,
     372,   612,   241,   588,   588,   853,   855,   859,   588,   252,
     355,   588,   588,   181,   585,   588,   721,   872,   586,   586,
      15,    15,    20,   653,   654,   690,    39,   585,   726,   188,
     726,   726,   588,   723,   918,   952,   965,   588,   723,    22,
     589,   589,    47,   120,   278,   477,   978,   983,   570,   588,
     588,   585,   296,   585,   735,   736,   585,    15,   572,   683,
     578,    48,    15,   572,   573,   144,    31,   633,   634,   572,
     573,   572,   573,   573,   573,   573,   572,   690,   690,   573,
       7,   573,   573,   572,    15,   571,   667,   674,   678,   241,
     241,   571,   573,   575,   573,   575,     3,    17,    18,    19,
      20,   592,   593,   594,   595,   596,   772,   773,   607,   653,
      20,   169,   169,    20,   161,    20,   776,     3,   613,   613,
     613,   613,   613,   613,     3,    20,    59,   154,   248,   310,
     389,   411,   443,   767,   613,   767,   613,   613,   613,   995,
     653,    22,   723,   612,     3,   570,   572,   649,   659,   574,
     648,   612,    20,   735,   570,   572,   572,    22,    43,    44,
      43,    44,   612,   612,   994,   570,   570,   142,   143,   249,
     250,   253,   575,   710,    31,   733,   573,   570,   160,   575,
     717,   718,    80,   163,   279,   280,   286,   575,   715,   806,
     163,   301,   575,   715,   722,   825,   585,   585,   570,   585,
     585,   570,   570,   588,   574,   588,   841,   185,   252,   585,
     570,   570,   570,   588,   570,   588,   761,   847,   840,   587,
     840,   585,   585,   570,   839,   585,   585,   570,   570,   585,
     585,   570,   585,   570,   585,   570,   703,   570,   570,   570,
     570,   570,   570,   570,   570,   588,   570,   585,   570,   570,
     585,   570,   588,   570,   570,    54,   133,   164,   165,   234,
     236,   238,   336,   345,   346,   352,   356,   365,   374,   376,
     379,   575,   718,   852,   145,   169,   255,   402,   403,   575,
     655,   715,   858,   585,   585,   163,   168,   269,   367,   413,
     430,   432,   436,   440,   441,   575,   873,   880,   883,   652,
     182,   725,   588,   570,    86,   163,   479,   480,   483,   488,
     575,   715,   722,   915,   163,   439,   493,   575,   715,   722,
     951,    45,   306,   339,   340,   507,   512,   514,   575,   715,
     722,   966,   968,   570,   570,   590,    47,    15,   609,   610,
     585,   588,   588,    20,    76,    77,    78,    79,    80,    81,
      82,    99,   102,   103,   149,   151,   574,   575,   687,   689,
     691,   696,   804,   982,   181,  1009,   585,   574,  1017,   683,
     683,    18,   690,    31,    31,   630,   631,   690,   690,   690,
     690,   690,   573,   572,   573,    32,   669,   690,   669,    32,
     669,   669,   573,   690,    15,    15,   690,   747,   750,    48,
      17,    18,    20,   776,   776,     3,     3,     3,     3,     3,
       3,    15,   703,   703,   703,   613,     3,   613,     3,     3,
       3,   648,   656,   648,   660,   663,   664,   665,   694,   696,
     587,   572,   573,   575,   251,   251,   588,   588,   254,   255,
     570,    22,   613,   732,   734,   745,   570,   810,   811,   817,
     811,   818,   589,   822,   287,   570,   828,   833,   154,   570,
     573,   570,   570,   570,   570,    86,   224,   382,   390,   392,
     394,   397,   842,   843,   570,   355,   588,   585,   570,   570,
     570,   142,   192,   238,   242,   245,   246,   575,   760,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   298,   354,   169,   169,   361,   169,   185,   337,
     169,   162,   347,   588,    54,   588,   375,   588,   585,   588,
     570,   653,    22,   723,   585,   612,   133,   570,   892,   898,
     376,   415,   440,   588,   875,   376,   588,   874,   248,   606,
     876,   877,   442,   588,   570,   444,   893,   183,   184,   185,
     186,    20,   593,   605,   929,   934,   920,   928,   916,   917,
     605,   171,   570,   954,   960,   588,   585,   570,   585,   187,
     967,   143,   967,    20,   589,   612,   969,    61,   511,   970,
     967,   570,   610,    33,    25,   690,   692,   692,   571,   690,
     690,   690,   697,   571,   571,   661,   662,   570,    25,   692,
      25,    36,   585,  1016,    33,    31,    45,    51,    52,    53,
      54,    56,    57,    58,    61,    63,    64,    69,    70,   575,
     616,   617,   618,   619,   620,   628,   575,   617,   618,   619,
     620,   629,   573,   572,   572,   572,   572,   690,   690,   572,
     573,     7,   572,   573,   572,   573,     7,   572,   573,   573,
      15,   572,    18,     3,     3,   587,   587,   575,   664,   570,
      15,   252,   252,   585,   586,    17,    18,    20,   592,   593,
     608,   162,   173,   174,   279,   809,   736,   574,   816,    34,
     281,   819,   588,   736,   155,   585,   181,   400,   396,   136,
     393,   395,   398,   399,   573,   575,   570,   570,   570,   243,
     244,   588,   244,   586,   585,   570,   187,   310,   326,   334,
     243,   244,   588,   588,   588,   238,   362,   723,   588,   310,
     338,   339,   851,   723,   298,   311,   735,   894,   585,   585,
     588,   574,   585,   574,   703,   574,   585,   585,   574,   574,
     933,   736,   574,   589,   935,   940,    22,   574,   941,   946,
     588,   736,   181,   585,    63,   585,   968,   971,   972,   585,
      15,   690,   573,   570,   570,   804,   570,   100,   574,    20,
     648,   695,   700,   700,   575,   660,   690,   570,   690,   133,
     134,   137,   144,   145,   473,   575,  1015,    15,    31,    55,
      59,    60,    62,     8,     9,    10,    25,    26,    27,   106,
     107,   585,   614,   621,   622,   623,    35,   624,   625,   625,
     627,    20,   592,   604,   570,   621,   624,   627,   605,   570,
     690,   572,   572,    32,   669,    32,   669,    32,   669,     7,
      32,   669,    32,   669,   575,   570,   572,    25,   693,   572,
     586,   586,   816,   815,   812,   587,   612,   282,   820,   574,
     832,   588,   570,   391,   272,   843,   245,   245,   245,   363,
     364,   588,   850,   850,   589,   389,   185,   252,   588,   588,
     895,   574,   897,   885,   885,   878,   881,   932,   931,   574,
     927,   936,   942,   574,   959,   585,   588,   574,   570,   692,
     572,   696,   680,   587,   104,   690,    20,   689,   701,   804,
     570,   570,   571,   571,   571,   570,   571,   589,   570,     7,
     585,    11,    12,   615,   573,    12,   573,   615,   585,    65,
      66,    67,    68,   626,   573,   615,    71,   572,   572,   572,
     572,   573,     7,   572,   572,   572,   573,   571,   572,     7,
     572,   572,     7,   572,   690,   570,   812,   142,   190,   191,
     192,   221,   242,   245,   246,   283,   575,   751,   752,   754,
     755,   756,   813,   589,   279,   821,   831,   829,   586,   586,
     586,   588,   585,   893,   896,   575,   606,   886,   887,   575,
     269,   376,   431,   575,   879,   239,   283,   292,   416,   417,
     418,   575,   751,   882,   472,   473,   476,   477,   478,   575,
     930,   926,   925,   939,   945,   958,   955,   973,   570,   101,
       6,    15,    16,   571,   575,   666,   668,   670,   672,   673,
     675,   677,   698,   700,   700,   690,   690,   690,   690,   585,
     623,   614,   622,   625,   625,    33,   625,   625,    15,    32,
     669,    32,   669,   669,     7,   669,   243,   244,   588,   574,
     244,   586,   585,   166,   200,   284,   285,   814,    23,   612,
     574,   759,   570,   588,    45,    54,    59,   181,   243,   244,
     247,   283,   291,   292,   293,   575,   751,   830,    59,   239,
     243,   244,   247,   248,   274,   278,   283,   286,   292,   297,
     349,   376,   413,   416,   417,   418,   424,   429,   439,   445,
     575,   751,   884,   431,   437,   888,   588,   585,   588,   570,
     585,   166,   284,   427,   585,   585,   313,   213,   585,   570,
     475,   475,   588,   588,   588,   570,    86,   142,   143,   168,
     235,   248,   461,   463,   464,   468,   469,   471,   479,   480,
     575,   921,   475,   481,   575,   937,   475,   482,   575,   943,
      45,   192,   243,   244,   247,   278,   283,   290,   293,   326,
     349,   416,   439,   457,   494,   495,   496,   497,   499,   503,
     575,   751,   956,   507,   508,   513,   575,   974,   696,   661,
     690,     7,   573,   576,   690,   572,   573,   572,   572,   572,
     572,   585,   585,   585,   585,   626,   626,   572,   572,   572,
     573,   572,   571,   572,   245,   245,   753,   754,   245,   202,
     203,   200,    48,    80,   155,   193,   199,   219,   757,   585,
     298,   294,   295,   585,   296,    63,    64,   230,   297,   739,
     248,   166,   302,   585,   245,   245,   570,   419,   420,   421,
     422,   423,   424,   425,   426,   585,   296,    63,   297,   739,
     248,   448,   574,   588,   166,   284,   427,   421,   585,   585,
     350,   585,   588,   585,   313,   213,   585,   326,   446,   585,
     120,   419,   570,   585,   570,   585,   585,   585,   585,   466,
     934,   313,   460,   460,   122,   475,   122,   466,   475,   467,
     460,   588,   465,   252,   470,   298,   282,   922,   282,   923,
     570,   474,   585,   947,   935,   938,   570,   947,   941,   944,
     570,   585,   588,   296,    63,   297,   739,   248,   501,   588,
     166,   202,   427,   502,   957,   585,   252,   589,   350,   252,
     120,   360,   419,   252,   252,   433,   585,   498,   500,   504,
     570,   510,   509,   612,   975,   570,   572,   571,   668,   675,
     661,   699,   570,   690,   570,   570,   570,   570,    33,    33,
     669,   669,   586,   586,   575,   570,   586,   202,   203,    22,
     611,    48,   193,   585,   611,   200,   201,   207,   208,   209,
     210,   758,    48,   193,   575,   173,   174,   585,   585,   585,
     585,   585,   588,   303,   586,   586,   434,   435,   585,   585,
     585,   588,   449,   889,   588,   244,   588,   585,   585,   588,
     588,   585,   588,   484,   948,   948,   252,   585,   245,   245,
     485,   486,   487,   924,   585,   924,   252,   585,   585,   462,
     588,   585,   585,   181,   588,   940,   588,   946,   585,   585,
     585,   585,   588,   588,   585,   244,   588,   586,   585,   585,
     585,   588,   588,   588,   588,   191,   191,   690,   105,   572,
     585,   585,   572,   573,   753,   570,   611,   611,   570,   570,
     202,   203,   204,   205,   206,   202,   203,   204,   205,   206,
     570,   611,   611,   759,   589,   589,   588,   575,   589,   891,
     433,   588,   585,   585,   585,   948,   585,   948,   588,   585,
     433,   612,   612,   696,   570,   669,   757,   570,   570,   757,
     757,   757,   570,   570,   428,   890,   573,   757,   757,   757,
     757,   570,   669,   572
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   580,   581,   581,   582,   582,   583,   583,   584,   585,
     585,   585,   586,   586,   586,   587,   587,   588,   588,   588,
     588,   588,   588,   589,   589,   589,   590,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   600,   601,
     601,   602,   602,   603,   603,   603,   603,   603,   603,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   608,
     608,   608,   609,   610,   610,   611,   612,   612,   613,   613,
     614,   614,   614,   614,   614,   614,   614,   614,   615,   615,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     617,   618,   619,   620,   620,   621,   621,   621,   621,   622,
     622,   623,   623,   624,   624,   624,   625,   625,   626,   626,
     626,   626,   627,   627,   627,   628,   628,   628,   628,   629,
     629,   629,   629,   629,   630,   630,   631,   631,   632,   633,
     634,   635,   636,   637,   637,   638,   639,   638,   640,   638,
     641,   583,   643,   642,   583,   644,   583,   645,   583,   646,
     583,   647,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   653,   654,   653,   655,   656,
     583,   658,   659,   657,   660,   660,   662,   661,   663,   663,
     664,   665,   665,   666,   666,   667,   667,   667,   667,   667,
     667,   668,   668,   668,   668,   669,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   671,   671,   671,   671,
     672,   672,   672,   673,   673,   673,   673,   673,   673,   673,
     673,   674,   674,   674,   674,   674,   675,   675,   675,   675,
     675,   676,   676,   677,   677,   678,   678,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   684,   684,   684,   684,
     684,   684,   684,   684,   684,   684,   684,   685,   685,   685,
     685,   686,   686,   686,   687,   688,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     691,   691,   691,   692,   692,   692,   693,   693,   694,   695,
     695,   696,   696,   696,   697,   698,   699,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   700,   701,   701,   701,   583,
     702,   702,   703,   703,   703,   703,   583,   704,   583,   705,
     706,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     583,   707,   708,   709,   709,   710,   710,   710,   710,   710,
     710,   711,   711,   712,   712,   583,   713,   713,   714,   714,
     714,   714,   715,   715,   715,   715,   715,   715,   715,   715,
     716,   717,   717,   717,   717,   717,   717,   717,   717,   717,
     718,   718,   719,   719,   720,   720,   721,   722,   723,   724,
     724,   724,   724,   725,   725,   725,   725,   725,   726,   726,
     583,   727,   727,   727,   583,   728,   728,   728,   728,   729,
     729,   729,   729,   729,   729,   729,   729,   730,   731,   732,
     732,   733,   733,   734,   735,   735,   736,   737,   738,   739,
     739,   740,   741,   742,   742,   742,   742,   742,   743,   744,
     745,   745,   745,   746,   746,   747,   747,   747,   747,   747,
     747,   748,   748,   748,   749,   749,   750,   750,   751,   752,
     752,   753,   753,   754,   754,   755,   755,   756,   756,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   759,   760,   760,   760,   760,   760,   760,   760,
     761,   761,   762,   638,   763,   638,   764,   638,   765,   638,
     766,   767,   767,   638,   768,   638,   769,   638,   770,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   772,   772,   772,
     772,   772,   772,   772,   772,   773,   773,   773,   773,   774,
     774,   774,   774,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   776,   638,   777,   778,   778,   778,   778,
     778,   778,   778,   638,   779,   638,   780,   638,   781,   638,
     782,   638,   783,   638,   784,   638,   785,   638,   786,   638,
     787,   638,   788,   638,   789,   790,   790,   790,   791,   791,
     638,   792,   638,   793,   638,   794,   638,   795,   638,   796,
     638,   797,   638,   798,   799,   799,   638,   800,   638,   801,
     802,   802,   802,   803,   803,   803,   804,   740,   805,   806,
     806,   806,   806,   806,   806,   807,   807,   808,   809,   809,
     809,   809,   810,   810,   811,   812,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   814,
     815,   815,   816,   816,   817,   818,   819,   819,   819,   820,
     820,   821,   821,   822,   638,   823,   740,   824,   825,   825,
     825,   825,   826,   826,   827,   828,   829,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   831,   831,   832,   832,
     833,   804,   638,   834,   638,   835,   638,   836,   638,   837,
     740,   838,   839,   839,   839,   840,   840,   840,   840,   840,
     841,   841,   842,   842,   843,   843,   843,   843,   843,   843,
     843,   843,   843,   844,   844,   844,   844,   844,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   846,   847,   845,   845,   845,   845,   848,   848,
     848,   848,   848,   848,   848,   848,   848,   848,   848,   848,
     849,   850,   850,   850,   851,   851,   851,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   853,   853,   854,   854,   855,   856,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   740,   857,   858,   858,   858,   858,   858,   858,
     858,   858,   859,   859,   860,   638,   861,   862,   862,   862,
     862,   862,   862,   740,   863,   863,   863,   864,   865,   865,
     866,   866,   867,   868,   869,   869,   869,   869,   869,   869,
     869,   869,   869,   869,   869,   869,   869,   869,   869,   870,
     871,   872,   872,   873,   873,   873,   873,   873,   873,   873,
     873,   873,   874,   873,   875,   873,   873,   873,   873,   876,
     876,   877,   878,   878,   879,   879,   879,   880,   880,   881,
     881,   882,   882,   882,   882,   882,   882,   882,   882,   882,
     882,   882,   883,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   885,   885,   886,   887,   888,   888,   888,   889,
     889,   890,   890,   891,   892,   893,   893,   895,   894,   896,
     896,   897,   897,   898,   804,   804,   804,   804,   638,   899,
     638,   900,   638,   901,   638,   902,   638,   903,   638,   904,
     638,   905,   638,   906,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   740,   908,   909,   909,   909,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   740,   912,
     911,   913,   913,   913,   913,   740,   914,   915,   915,   915,
     915,   916,   915,   917,   915,   915,   915,   918,   918,   919,
     920,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   922,   921,
     923,   921,   921,   921,   924,   924,   924,   925,   926,   926,
     927,   927,   928,   929,   930,   930,   930,   930,   930,   931,
     932,   932,   933,   933,   934,   935,   936,   937,   937,   937,
     938,   939,   939,   940,   940,   941,   942,   943,   943,   943,
     944,   945,   945,   946,   946,   947,   947,   948,   948,   804,
     804,   740,   949,   949,   950,   951,   951,   951,   951,   951,
     951,   952,   952,   953,   954,   955,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   957,   957,   957,   957,   958,   958,   959,
     959,   960,   804,   804,   638,   961,   638,   962,   740,   963,
     964,   965,   965,   966,   966,   966,   966,   966,   966,   966,
     966,   966,   966,   967,   967,   968,   969,   969,   970,   970,
     971,   972,   973,   973,   974,   974,   974,   975,   740,   976,
     977,   977,   977,   977,   977,   977,   978,   978,   978,   978,
     978,   978,   979,   979,   980,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   982,   983,   983,   984,   984,   638,
     985,   986,   987,   987,   987,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   583,   988,   989,   990,   990,   991,   991,
     992,   992,   992,   993,   993,   994,   994,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   583,   996,   996,   583,
     997,   997,   997,   997,   638,   998,   638,   999,   638,  1000,
     638,  1001,   638,  1002,   638,  1003,   638,  1004,   638,  1005,
    1006,  1006,  1007,  1007,  1007,   740,  1008,   986,   986,  1009,
    1009,  1010,  1010,  1010,  1010,  1010,  1010,  1010,   740,  1011,
    1012,  1012,  1013,  1013,  1013,  1014,  1015,  1016,  1016,  1017,
    1017,  1018,   804,   804
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     4,     1,     3,     1,
       3,     1,     3,     4,     6,     6,     0,     1,     1,     1,
       1,     1,     2,     4,     4,     2,     2,     2,     2,     2,
       4,     2,     2,     2,     0,     3,     0,     3,     0,     0,
       0,     6,     6,     1,     1,     1,     2,     1,     2,     1,
       2,     1,     0,     4,     1,     2,     1,     4,     1,     6,
       1,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
       2,     5,     0,     4,     1,     1,     0,     2,     2,     4,
       1,     0,     0,     6,     0,     1,     0,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     3,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     1,     5,     7,     7,
       1,     0,     1,     3,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     4,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     6,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       5,     7,     6,     6,     6,     6,     4,     8,     4,     1,
       1,     1,     1,     0,     1,     3,     0,     2,     4,     2,
       1,     3,     4,     6,     0,     0,     0,     9,     4,     3,
       4,     4,     5,     3,     3,     3,     2,     5,     4,     7,
       7,     7,     7,     7,     9,     0,     1,     1,     1,     1,
       4,     5,     1,     3,     1,     1,     1,     3,     1,     5,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     0,     1,     2,     2,     4,     4,     3,
       3,     0,     3,     0,     3,     1,     1,     1,     0,     1,
       2,     3,     0,     2,     2,     2,     3,     2,     2,     2,
       1,     2,     2,     2,     3,     3,     3,     2,     4,     3,
       1,     2,     0,     3,     0,     3,     0,     3,     1,     2,
       1,     1,     1,     0,     2,     2,     2,     2,     2,     1,
       1,     3,     3,     3,     1,     1,     1,     1,     1,     2,
       4,     3,     4,     4,     3,     4,     4,     3,     0,     1,
       2,     0,     1,     3,     1,     3,     1,     0,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     5,     0,     3,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     0,     3,     5,     2,     1,     1,     2,     2,     0,
       5,     5,     5,     5,     4,     4,     4,     4,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       1,     1,     0,     2,     4,     4,     4,     2,     2,     1,
       0,     3,     3,     1,     3,     1,     3,     1,     4,     1,
       5,     1,     0,     1,     3,     1,     4,     1,     4,     0,
       2,     3,     3,     3,     3,     4,     4,     3,     2,     2,
       2,     2,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     4,     0,     2,     2,     2,
       2,     2,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     3,     1,     4,     1,     1,     3,     0,     1,
       1,     4,     1,     4,     1,     4,     1,     3,     1,     4,
       1,     4,     1,     3,     2,     2,     1,     4,     1,     2,
       1,     1,     1,     1,     0,     1,     1,     1,     2,     1,
       2,     2,     2,     2,     3,     0,     3,     5,     1,     1,
       1,     1,     0,     2,     0,     0,     2,     4,     4,     4,
       2,     2,     2,     1,     1,     1,     2,     2,     3,     3,
       0,     3,     0,     3,     4,     3,     0,     2,     2,     0,
       2,     0,     2,     4,     1,     5,     1,     2,     1,     1,
       2,     4,     0,     3,     5,     0,     0,     0,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     3,
       4,     4,     2,     2,     3,     1,     0,     3,     0,     3,
       4,     1,     1,     6,     1,     6,     1,     6,     1,     6,
       2,     2,     0,     3,     3,     0,     3,     3,     2,     2,
       1,     3,     1,     3,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     1,     1,     1,     1,     1,     3,     3,
       3,     4,     6,     4,     6,     6,     4,     6,     5,     5,
       4,     5,     5,     6,     6,     3,     3,     4,     5,     6,
       5,     5,     5,     5,     5,     5,     5,     5,     5,     5,
       6,     6,     6,     5,     6,     6,     8,     6,     6,     6,
       5,     6,     5,     4,     4,     4,     4,     5,     5,     6,
       5,     6,     5,     5,     6,     7,     7,     7,     5,     5,
       4,     4,     0,     0,     6,     6,     5,     5,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       4,     4,     2,     3,     2,     2,     2,     2,     3,     5,
       5,     4,     3,     3,     3,     3,     3,     2,     2,     2,
       3,     3,     0,     3,     0,     3,     0,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     2,     2,     2,     1,     2,
       2,     4,     0,     3,     5,     1,     4,     0,     3,     3,
       3,     2,     3,     2,     1,     2,     2,     2,     3,     3,
       0,     1,     2,     3,     1,     1,     2,     2,     3,     3,
       3,     3,     4,     2,     4,     3,     2,     3,     1,     2,
       4,     0,     3,     2,     1,     2,     3,     3,     3,     3,
       2,     3,     0,     5,     0,     5,     2,     2,     1,     4,
       1,     1,     0,     3,     2,     2,     2,     5,     2,     0,
       3,     0,     2,     2,     3,     2,     2,     3,     2,     2,
       2,     1,     3,     2,     2,     2,     2,     2,     2,     3,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     2,     3,     3,     4,     4,     2,
       2,     2,     3,     3,     3,     2,     3,     3,     3,     4,
       2,     1,     0,     2,     3,     1,     0,     1,     2,     0,
       2,     0,     1,     3,     0,     0,     2,     0,     3,     0,
       3,     0,     3,     3,     1,     1,     1,     1,     1,     4,
       1,     6,     1,     6,     1,     6,     1,     7,     1,     6,
       1,     7,     1,     5,     0,     2,     3,     2,     3,     3,
       2,     3,     2,     2,     2,     3,     3,     3,     1,     3,
       3,     2,     3,     3,     2,     2,     2,     2,     2,     0,
       4,     2,     3,     3,     5,     1,     2,     1,     1,     2,
       2,     0,     3,     0,     3,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     4,     2,     3,     3,     3,     3,
       4,     4,     4,     3,     3,     4,     4,     2,     0,     3,
       0,     3,     3,     3,     1,     1,     1,     0,     0,     3,
       0,     3,     4,     1,     2,     2,     2,     4,     4,     0,
       0,     3,     0,     3,     3,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     2,     0,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     2,     4,     2,
       2,     0,     3,     5,     0,     0,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     4,     0,     1,     2,     1,     1,     2,     6,
       0,     0,     0,     3,     4,     4,     2,     0,     2,     2,
       3,     3,     3,     5,     5,     4,     3,     2,     3,     3,
       3,     3,     1,     2,     2,     2,     3,     5,     1,     2,
       2,     2,     2,     2,     1,     0,     2,     0,     3,     1,
       4,     3,     3,     2,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     2,     0,     0,     2,
       2,     2,     1,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     1,
       3,     4,     3,     3,     1,     4,     1,     5,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     2,     1,     3,
       0,     1,     0,     1,     2,     2,     2,     3,     3,     0,
       2,     1,     1,     2,     3,     2,     3,     4,     2,     2,
       3,     3,     1,     2,     3,     0,     2,     0,     3,     0,
       3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 137 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 6007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 138 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 6013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 154 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 163 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 6029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 164 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 170 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 171 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 172 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 6061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 183 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 184 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 185 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 192 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 194 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 201 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 6118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 202 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 209 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 216 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 226 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 239 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 258 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 264 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 270 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 278 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 286 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 296 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 309 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 318 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 327 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 336 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 346 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 347 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 348 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 359 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 64:
#line 367 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 376 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 385 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 393 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 6350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 6356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 6362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 95:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 96:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 6571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 6577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 6583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 6589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 6595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 6601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 119:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 120:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 6665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 6671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 6677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 132:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 348 "filter/config.Y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 349 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 360 "filter/config.Y" /* yacc.c:1646  */
    { f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 6719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 364 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 149:
#line 370 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 383 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 397 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 6763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 398 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 6769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 399 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 6775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 400 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 6781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 401 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 6787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 402 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 6793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 403 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 6799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 404 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 6805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 405 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 6811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 406 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 6817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 407 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 6823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 408 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 6829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 409 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 6835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 410 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 6841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 411 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 6847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 167:
#line 412 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 435 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 6878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 436 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 6889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 445 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 6895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 446 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 6905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 454 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 464 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_scope(NULL); }
#line 6935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope();
   }
#line 6947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 178:
#line 478 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 485 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 493 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 497 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     (yyvsp[-2].s)->function = dummy;

     /* Revert the args */
     while ((yyvsp[0].fa)) {
       struct f_arg *tmp = (yyvsp[0].fa);
       (yyvsp[0].fa) = (yyvsp[0].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 511 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = (yyvsp[-4].s)->function->args;
     (yyvsp[0].fl)->arg_list = (yyvsp[-4].s)->function->arg_list;
     (yyvsp[-4].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 7006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 521 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 522 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 525 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(); }
#line 7024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 525 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(); (yyval.x) = (yyvsp[0].x); }
#line 7030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 529 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 538 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 555 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 556 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 569 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 570 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 7081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 571 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 7087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 572 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 573 "filter/config.Y" /* yacc.c:1646  */
    {
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 7102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 577 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 585 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 586 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 7124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 587 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 7130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 588 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 592 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 7142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 595 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 596 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 597 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 598 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 599 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 600 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 601 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 603 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 605 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 609 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 7208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 217:
#line 610 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 7214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 611 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 7220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 612 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 7226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 616 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 617 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 618 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 622 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 623 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 624 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 226:
#line 625 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 227:
#line 626 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 228:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 628 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 630 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 637 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 638 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 645 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 646 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 651 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 656 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 660 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 661 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 662 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 663 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 675 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 7374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x), 0);
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 684 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x), 0);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 695 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 703 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 705 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 706 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 710 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 711 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 712 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 713 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 714 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 718 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 719 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 720 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 721 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 723 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 724 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 725 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 7522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 726 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 731 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 736 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 738 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 739 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 745 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 746 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 750 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     /* Revert the var_list */
     struct f_inst *args = NULL;
     while ((yyvsp[-1].x)) {
       struct f_inst *tmp = (yyvsp[-1].x);
       (yyvsp[-1].x) = (yyvsp[-1].x)->next;

       tmp->next = args;
       args = tmp;
     }

     (yyval.x) = f_new_inst(FI_CALL, args, (yyvsp[-3].s));
   }
#line 7607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 769 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 787 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 790 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 792 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 795 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 796 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 7687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 797 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 7693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 7699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 805 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 806 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 808 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 809 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 810 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 811 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 814 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 816 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 820 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 821 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 822 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 824 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 826 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 829 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 830 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 831 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 832 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 833 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 834 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 7873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 835 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 7879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 836 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 7885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 837 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 838 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 839 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 840 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 7915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 842 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 7921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 843 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 7927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 844 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 7933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 845 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 7939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 855 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 856 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 857 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 858 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 859 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 860 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 861 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 862 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 864 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 865 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 867 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 8011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 8017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 8023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 8046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { }); }
#line 8052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 892 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol((yyvsp[-2].s), SYM_VARIABLE | (yyvsp[-3].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 8067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 902 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 8073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 903 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = (yyvsp[0].s); cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); }
#line 8079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 907 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 8087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 913 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope();
     conf_this_scope->slots += 2;
   }
#line 8113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { conf_this_scope->active = 0; }
#line 8119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { conf_this_scope->active = 1; }
#line 8125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope();
     (yyval.x) = f_new_inst(FI_FOR_INIT, (yyvsp[-3].x), (yyvsp[-6].s));
     (yyval.x)->next = f_new_inst(FI_FOR_NEXT, (yyvsp[-6].s), (yyvsp[0].x));
   }
#line 8135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 8152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 940 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 8169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 371:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 8179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 952 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 8187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 955 "filter/config.Y" /* yacc.c:1646  */
    {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 970 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 973 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 974 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 8234 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 978 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8240 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 979 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 980 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8252 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 981 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 982 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 983 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 984 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 385:
#line 988 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 993 "filter/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 994 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 995 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 162 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 8308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 163 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 8314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 167 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 8320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 168 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 8326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 169 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 170 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 182 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 8351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 186 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 8357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 192 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 8363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 193 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 8369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 194 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 8375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 195 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 8381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 196 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 8387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 8393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 198 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 8399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 199 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 8405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 8411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 8417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 213 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 414:
#line 220 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 8431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 224 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 8437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 225 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 230 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 8453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 8459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 8465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 249 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 8477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 252 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 8483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 253 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 8489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 428:
#line 257 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 263 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 267 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 277 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 8543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 290 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 8549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 291 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 8555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 292 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 8561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 293 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 294 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 295 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 300 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 310 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 8603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 311 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 8609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 444:
#line 312 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 445:
#line 313 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 8621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 314 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 8627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 315 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 316 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 317 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 8645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 8651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 337 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 347 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 459:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 8674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 461:
#line 352 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 8680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 353 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 8686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 357 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 358 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 8698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 8704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 360 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 8710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 361 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 366 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 8728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 374 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 8740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 375 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 8746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 383 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 8752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 384 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 8758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 8764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 386 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 8770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 479:
#line 390 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 391 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 392 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 393 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 394 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 395 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 396 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 397 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 488:
#line 408 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 489:
#line 416 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 490:
#line 417 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 491:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 8846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 422 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 8852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 436 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 8858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 438 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 450 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 451 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 458 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 469 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 473 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 510:
#line 487 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 489 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 514:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 498 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 8935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 516:
#line 499 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 8941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 500 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 8947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 518:
#line 501 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 8953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 8959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 520:
#line 503 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 8965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 509 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 522:
#line 510 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 516 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 520 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 8995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 521 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 9001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 548 "nest/config.Y" /* yacc.c:1646  */
    { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 9007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 549 "nest/config.Y" /* yacc.c:1646  */
    { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 9013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 553 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 9019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 554 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 555 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 9031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 556 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 557 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 9043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 558 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 559 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 560 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 561 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 9067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 565 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 9073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 566 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 9079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 567 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 9085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 568 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 9091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 569 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 9097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 9103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 9109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 9115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 9121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 9127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 9133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 9139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 577 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 9145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 578 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 9151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 582 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 9159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 9171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 9183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 594 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 9189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 596 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 612 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 9207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 615 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 9213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 618 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 621 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 624 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 625 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 9237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 629 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 9243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 632 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 9249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 636 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 9255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 639 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 645 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 651 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 657 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 664 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 670 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 677 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 687 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 692 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 697 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 701 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 719 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 726 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 735 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 739 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 746 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 753 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 757 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 761 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 765 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 781 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 782 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 785 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 786 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 787 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 788 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 793 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 795 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 796 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 797 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 798 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 800 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 801 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 9591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 802 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 9597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 803 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 9603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 804 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 9609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 805 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 9615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 9621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 807 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 808 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 809 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 9639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 810 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 9645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 811 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 9651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 812 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 9669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 827 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 9675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 830 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 833 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 834 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 835 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 836 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 837 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 838 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 844 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 9725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 846 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 9731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 848 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 9737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 850 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 9743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 852 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 9749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 854 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 9755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 856 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 9761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 858 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 9767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 860 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 9773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 863 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 9779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 866 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 872 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 873 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 874 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 878 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 9812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 879 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 886 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 888 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 892 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 894 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 900 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 9863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 9869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 904 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 9875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 909 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 912 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 915 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 917 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 921 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 922 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 923 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 926 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 38 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 9941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 52 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 9947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 65 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 9953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 66 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 9959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 9965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 9971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 72 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 9980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 80 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 94 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 10020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 114 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 115 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 10032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 10044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 10050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 10056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 10062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 10068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 125 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 10074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 126 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 10110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 152 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 10116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 153 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 158 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 10134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 159 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 10140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 163 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 164 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 168 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 187 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 10178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 35 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 10188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 45 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10194 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 58 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 10212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 74 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 132 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 133 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 134 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 135 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 136 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 137 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 138 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 139 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 140 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 141 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 142 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 143 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 144 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 145 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 171 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 174 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 177 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 180 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 50 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 84 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 85 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 90 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 91 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 92 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 98 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 104 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 108 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 10499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 112 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 113 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 10541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 116 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 10547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 120 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 10553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 121 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 10559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 10565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 123 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 10571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 10577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 132 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 137 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 150 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 151 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 152 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 10651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 10657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 10669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 10675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 10709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 10781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 10787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 10835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 10847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 10871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 10889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 10943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 10949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 10955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 10961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 10967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 10973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 10979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 10985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 10991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 220 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 11003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 11009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 11015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 11021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 11027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 11033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 11039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 11045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 228 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 11051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 11079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 257 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 258 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 11091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 259 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 11097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 265 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 11103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 266 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 11109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 267 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 11115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 268 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 11121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 269 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 11127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 270 "proto/bgp/config.Y" /* yacc.c:1646  */
    { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 11133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 271 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 11139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 11145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 273 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 11151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 274 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 11161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 279 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 11167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 280 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 11173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 281 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 11179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 282 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 11185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 11191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 284 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 11197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 285 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 11203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 286 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 11209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 11215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 288 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 11221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 289 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 11227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 290 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 11233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 291 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 11249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 302 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 325 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 336 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 338 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 340 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 342 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 344 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 346 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 348 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 350 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 352 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 354 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 356 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 358 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 360 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER)); }
#line 11359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 11385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 11391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 11397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 11403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 11415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 11421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 211 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 11463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 220 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 11499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 240 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 246 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 258 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 998:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 11547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 274 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 289 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 11625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 298 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 11637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 11643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 11649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 11661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 11673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 11679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 11685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 11691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 320 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 11702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 334 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 11708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 11714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 11720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 340 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 350 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 363 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 381 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 11914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 11980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 12004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 12010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 12016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 12022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 430 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 12038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 439 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 12044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 12050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 449 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 454 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 12073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 463 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 12098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 487 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 491 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 12110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 505 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 12116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 508 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 12122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 12128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 12134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 12140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 515 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 12146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 518 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 12152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 521 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 12158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 526 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 12164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 529 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 12170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 534 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 12176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 537 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 12182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 541 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 12193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 549 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 12201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 552 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 12207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 553 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 12213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 554 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 12219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 555 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 12225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 556 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 12231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 557 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 12237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 12243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 559 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 12249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 12277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 12283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 12313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 12331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 47 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 63 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 63 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 64 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 65 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 78 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 101 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 102 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 103 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 104 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 105 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 106 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 107 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 12482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 108 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 12488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 109 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 12494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 110 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 12500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 111 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 12525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 12531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 12537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 12543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 12549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 126 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 126 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 127 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 12591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 12597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 12603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 12644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 190 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 12658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 201 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 12664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 202 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 12670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 203 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 12676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 208 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 12706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 239 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 248 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 255 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 12733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 259 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 283 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 295 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 302 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 306 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 330 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 331 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 335 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 12813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 336 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 339 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 340 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 54 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 85 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 12905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 110 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 13001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 13007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 13013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 13019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 13025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 13031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 13037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 13049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 13061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 13067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 13073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 13079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 13085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 13097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 13103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 173 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 13109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 13115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 193 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 13133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 13139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 199 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 13145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 202 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 13151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 13162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 13168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 64 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 13179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 13190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 13201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 82 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 13207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 86 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 90 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 13225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 93 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 13234 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 97 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 13247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 113 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 13257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 120 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 136 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 137 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 138 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 142 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 66 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 75 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 13338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 79 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 84 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 89 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 99 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 109 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 122 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 126 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 131 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 13430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 13436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 13442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 134 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 13448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 135 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 13454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 136 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 13460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 140 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 161 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 13484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 27 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 13490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 28 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 13496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 13502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 32 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 13508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 13514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 13520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 13526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 13532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 13538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 13544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 13550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 13556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 13646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 13652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 62 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 13658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 13664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 33 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 13670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 35 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 13679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 13685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 43 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 13691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 48 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 13697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 52 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 13712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 62 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 13718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 63 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 13724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 67 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 13730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 68 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 13736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 72 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 13742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 73 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 13748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 13754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 13760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 13766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 13772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 13778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 13784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 83 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 13790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 84 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 13796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 13802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 92 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 93 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 13821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 13827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 13833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 109 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 110 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 119 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 122 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 13863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 13869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 13875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 138 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 13881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 141 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 13887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 146 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 13893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 150 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 13899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 155 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 156 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 13911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 157 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 13949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 14003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 14013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 14019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 14025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 14031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 14035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 50 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 397 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 929 "nest/config.Y"
/* C Code from nest/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 182 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 368 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

